## org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.impl
Class SybaseasesqlmodelPackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.impl.SybaseasesqlmodelPackageImpl

All Implemented Interfaces:
  SybaseasesqlmodelPackage, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder

    public class SybaseasesqlmodelPackageImpl

extends org.eclipse.emf.ecore.impl.EPackageImpl
implements SybaseasesqlmodelPackage

An implementation of the model Package.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.SybaseasesqlmodelPackage
`SybaseasesqlmodelPackage.Literals`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from interface org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.SybaseasesqlmodelPackage

`ACCESS_RULE_TYPE, CACHE_INFO, CACHE_INFO__CACHE, CACHE_INFO__CACHE_STRATEGY, CACHE_INFO__COMMENTS, CACHE_INFO__DEPENDENCIES, CACHE_INFO__DESCRIPTION, CACHE_INFO__EANNOTATIONS, CACHE_INFO__EXTENSIONS, CACHE_INFO__LABEL, CACHE_INFO__NAME, CACHE_INFO__PRIVILEGES, CACHE_INFO_FEATURE_COUNT, CACHE_STRATEGY_TYPE, DEVICE_ITEM, DEVICE_ITEM__COMMENTS, DEVICE_ITEM__DEPENDENCIES, DEVICE_ITEM__DESCRIPTION, DEVICE_ITEM__DEVICE_NAME, DEVICE_ITEM__EANNOTATIONS, DEVICE_ITEM__EXTENSIONS, DEVICE_ITEM__LABEL, DEVICE_ITEM__NAME, DEVICE_ITEM__PRIVILEGES, DEVICE_ITEM__SIZE, DEVICE_ITEM_FEATURE_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, LOCK_PROMOTION_INFO, LOCK_PROMOTION_INFO__COMMENTS, LOCK_PROMOTION_INFO__DEPENDENCIES, LOCK_PROMOTION_INFO__DESCRIPTION, LOCK_PROMOTION_INFO__EANNOTATIONS, LOCK_PROMOTION_INFO__EXTENSIONS, LOCK_PROMOTION_INFO__HWM, LOCK_PROMOTION_INFO__LABEL, LOCK_PROMOTION_INFO__LWM, LOCK_PROMOTION_INFO__NAME, LOCK_PROMOTION_INFO__PCT, LOCK_PROMOTION_INFO__PRIVILEGES, LOCK_PROMOTION_INFO__ROW_LOCK_PROMOTION, LOCK_PROMOTION_INFO_FEATURE_COUNT, LOCKING_SCHEMA_TYPE, PROXY_TABLE_EXTERNAL_TYPE, SEGMENT_THRESHOLD, SEGMENT_THRESHOLD__COMMENTS, SEGMENT_THRESHOLD__DEPENDENCIES, SEGMENT_THRESHOLD__DESCRIPTION, SEGMENT_THRESHOLD__EANNOTATIONS, SEGMENT_THRESHOLD__EXTENSIONS, SEGMENT_THRESHOLD__FREE_SPACE, SEGMENT_THRESHOLD__LABEL, SEGMENT_THRESHOLD__NAME, SEGMENT_THRESHOLD__PRIVILEGES, SEGMENT_THRESHOLD__PROCEDURE_NAME, SEGMENT_THRESHOLD_FEATURE_COUNT, SYBASE_ASE_BASE_TABLE, SYBASE_ASE_BASE_TABLE__COLUMNS, SYBASE_ASE_BASE_TABLE__COMMENTS, SYBASE_ASE_BASE_TABLE__CONCURRENCY_OPT_THRESHOLD, SYBASE_ASE_BASE_TABLE__CONSTRAINTS, SYBASE_ASE_BASE_TABLE__DEPENDENCIES, SYBASE_ASE_BASE_TABLE__DESCRIPTION, SYBASE_ASE_BASE_TABLE__EANNOTATIONS, SYBASE_ASE_BASE_TABLE__EXP_ROW_SIZE, SYBASE_ASE_BASE_TABLE__EXTENSIONS, SYBASE_ASE_BASE_TABLE__FILL_FACTOR, SYBASE_ASE_BASE_TABLE__IDENTITY_GAP, SYBASE_ASE_BASE_TABLE__INDEX, SYBASE_ASE_BASE_TABLE__INSERTABLE, SYBASE_ASE_BASE_TABLE__LABEL, SYBASE_ASE_BASE_TABLE__LOCK_PROMOTION, SYBASE_ASE_BASE_TABLE__LOCK_SCHEMA, SYBASE_ASE_BASE_TABLE__MAX_ROW_PER_PAGE, SYBASE_ASE_BASE_TABLE__NAME, SYBASE_ASE_BASE_TABLE__PARTITION_CONDITION, SYBASE_ASE_BASE_TABLE__PARTITIONS, SYBASE_ASE_BASE_TABLE__PRIVILEGES, SYBASE_ASE_BASE_TABLE__REFERENCING_FOREIGN_KEYS, SYBASE_ASE_BASE_TABLE__RESERVE_PAGE_GAP, SYBASE_ASE_BASE_TABLE__SCHEMA, SYBASE_ASE_BASE_TABLE__SEGMENT, SYBASE_ASE_BASE_TABLE__SELF_REF_COLUMN_GENERATION, SYBASE_ASE_BASE_TABLE__SUBTABLES, SYBASE_ASE_BASE_TABLE__SUPERTABLE, SYBASE_ASE_BASE_TABLE__SYSTEM_TABLE, SYBASE_ASE_BASE_TABLE__TABLE_ONLY_CACHE_INFO, SYBASE_ASE_BASE_TABLE__TEXT_IMAGE_SEGMENT, SYBASE_ASE_BASE_TABLE__TEXT_ONLY_CACHE_INFO, SYBASE_ASE_BASE_TABLE__TRIGGERS, SYBASE_ASE_BASE_TABLE__UDT, SYBASE_ASE_BASE_TABLE__UPDATABLE, SYBASE_ASE_BASE_TABLE_FEATURE_COUNT, SYBASE_ASE_CACHE, SYBASE_ASE_CACHE__COMMENTS, SYBASE_ASE_CACHE__DATABASE, SYBASE_ASE_CACHE__DEPENDENCIES, SYBASE_ASE_CACHE__DESCRIPTION, SYBASE_ASE_CACHE__EANNOTATIONS, SYBASE_ASE_CACHE__EXTENSIONS, SYBASE_ASE_CACHE__LABEL, SYBASE_ASE_CACHE__NAME, SYBASE_ASE_CACHE__PRIVILEGES, SYBASE_ASE_CACHE_FEATURE_COUNT, SYBASE_ASE_CATALOG, SYBASE_ASE_CATALOG__AUTHORIZATION_IDS, SYBASE_ASE_CATALOG__CACHE, SYBASE_ASE_CATALOG__CATALOG_TYPE, SYBASE_ASE_CATALOG__COMMENTS, SYBASE_ASE_CATALOG__DATA_DEVICES, SYBASE_ASE_CATALOG__DATABASE, SYBASE_ASE_CATALOG__DEFAULT_LOCATION, SYBASE_ASE_CATALOG__DEPENDENCIES, SYBASE_ASE_CATALOG__DESCRIPTION, SYBASE_ASE_CATALOG__EANNOTATIONS, SYBASE_ASE_CATALOG__EXTENSIONS, SYBASE_ASE_CATALOG__FOR_LOAD, SYBASE_ASE_CATALOG__FOR_PROXY_UPDATE, SYBASE_ASE_CATALOG__LABEL, SYBASE_ASE_CATALOG__LOG_DEVICES, SYBASE_ASE_CATALOG__LOG_IO_SIZE, SYBASE_ASE_CATALOG__NAME, SYBASE_ASE_CATALOG__OVERRIDE, SYBASE_ASE_CATALOG__PRIVILEGES, SYBASE_ASE_CATALOG__RECOVERY_ORDER, SYBASE_ASE_CATALOG__SCHEMAS, SYBASE_ASE_CATALOG__SEGMENTS, SYBASE_ASE_CATALOG_FEATURE_COUNT, SYBASE_ASE_CATALOG_TYPE, SYBASE_ASE_CHECK_CONSTRAINT, SYBASE_ASE_CHECK_CONSTRAINT__BASE_TABLE, SYBASE_ASE_CHECK_CONSTRAINT__COMMENTS, SYBASE_ASE_CHECK_CONSTRAINT__CREATOR, SYBASE_ASE_CHECK_CONSTRAINT__DEFERRABLE, SYBASE_ASE_CHECK_CONSTRAINT__DEPENDENCIES, SYBASE_ASE_CHECK_CONSTRAINT__DESCRIPTION, SYBASE_ASE_CHECK_CONSTRAINT__EANNOTATIONS, SYBASE_ASE_CHECK_CONSTRAINT__ENFORCED, SYBASE_ASE_CHECK_CONSTRAINT__EXTENSIONS, SYBASE_ASE_CHECK_CONSTRAINT__INITIALLY_DEFERRED, SYBASE_ASE_CHECK_CONSTRAINT__LABEL, SYBASE_ASE_CHECK_CONSTRAINT__NAME, SYBASE_ASE_CHECK_CONSTRAINT__PRIVILEGES, SYBASE_ASE_CHECK_CONSTRAINT__SEARCH_CONDITION, SYBASE_ASE_CHECK_CONSTRAINT_FEATURE_COUNT, SYBASE_ASE_COLUMN, SYBASE_ASE_COLUMN__BIND_DEFAULT_IN_FUTURE_ONLY, SYBASE_ASE_COLUMN__BIND_RULE_IN_FUTURE_ONLY, SYBASE_ASE_COLUMN__BOUND_DEFAULT, SYBASE_ASE_COLUMN__BOUND_RULE, SYBASE_ASE_COLUMN__COLUMN_CHECK, SYBASE_ASE_COLUMN__COMMENTS, SYBASE_ASE_COLUMN__CONTAINED_TYPE, SYBASE_ASE_COLUMN__DEFAULT_VALUE, SYBASE_ASE_COLUMN__DEPENDENCIES, SYBASE_ASE_COLUMN__DESCRIPTION, SYBASE_ASE_COLUMN__EANNOTATIONS, SYBASE_ASE_COLUMN__ENCRYPTION_KEY, SYBASE_ASE_COLUMN__EXTENSIONS, SYBASE_ASE_COLUMN__GENERATE_EXPRESSION, SYBASE_ASE_COLUMN__HIDDEN, SYBASE_ASE_COLUMN__IDENTITY_SPECIFIER, SYBASE_ASE_COLUMN__IMPLEMENTATION_DEPENDENT, SYBASE_ASE_COLUMN__LABEL, SYBASE_ASE_COLUMN__MATERIALIZED, SYBASE_ASE_COLUMN__NAME, SYBASE_ASE_COLUMN__NULLABLE, SYBASE_ASE_COLUMN__PRIVILEGES, SYBASE_ASE_COLUMN__REFERENCED_TYPE, SYBASE_ASE_COLUMN__SCOPE_CHECK, SYBASE_ASE_COLUMN__SCOPE_CHECKED, SYBASE_ASE_COLUMN__TABLE, SYBASE_ASE_COLUMN_CHECK_CONSTRAINT, SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__BASE_TABLE, SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__COLUMN, SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__COMMENTS, SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__CREATOR, SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__DEFERRABLE, SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__DEPENDENCIES, SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__DESCRIPTION, SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__EANNOTATIONS, SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__ENFORCED, SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__EXTENSIONS, SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__INITIALLY_DEFERRED, SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__LABEL, SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__NAME, SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__PRIVILEGES, SYBASE_ASE_COLUMN_CHECK_CONSTRAINT__SEARCH_CONDITION, SYBASE_ASE_COLUMN_CHECK_CONSTRAINT_FEATURE_COUNT, SYBASE_ASE_COLUMN_FEATURE_COUNT, SYBASE_ASE_DATABASE, SYBASE_ASE_DATABASE__AUTHORIZATION_IDS, SYBASE_ASE_DATABASE__CACHES, SYBASE_ASE_DATABASE__CATALOGS, SYBASE_ASE_DATABASE__COMMENTS, SYBASE_ASE_DATABASE__DATA_TYPES, SYBASE_ASE_DATABASE__DEPENDENCIES, SYBASE_ASE_DATABASE__DESCRIPTION, SYBASE_ASE_DATABASE__EANNOTATIONS, SYBASE_ASE_DATABASE__ENCRYPTION_KEY_APPLICABLE, SYBASE_ASE_DATABASE__EVENTS, SYBASE_ASE_DATABASE__EXTENSIONS, SYBASE_ASE_DATABASE__LABEL, SYBASE_ASE_DATABASE__NAME, SYBASE_ASE_DATABASE__PRIVILEGES, SYBASE_ASE_DATABASE__ROLES, SYBASE_ASE_DATABASE__SCHEMAS, SYBASE_ASE_DATABASE__SDS_SERVER, SYBASE_ASE_DATABASE__TEMP_DB_NAME, SYBASE_ASE_DATABASE__VENDOR, SYBASE_ASE_DATABASE__VERSION, SYBASE_ASE_DATABASE__WEB_SERVICES, SYBASE_ASE_DATABASE__WEBSERVICE_APPLICABLE, SYBASE_ASE_DATABASE_FEATURE_COUNT, SYBASE_ASE_DEFAULT, SYBASE_ASE_DEFAULT__COMMENTS, SYBASE_ASE_DEFAULT__DEPENDENCIES, SYBASE_ASE_DEFAULT__DESCRIPTION, SYBASE_ASE_DEFAULT__EANNOTATIONS, SYBASE_ASE_DEFAULT__EXTENSIONS, SYBASE_ASE_DEFAULT__LABEL, SYBASE_ASE_DEFAULT__NAME, SYBASE_ASE_DEFAULT__PRIVILEGES, SYBASE_ASE_DEFAULT__SCHEMA, SYBASE_ASE_DEFAULT__STATEMENT, SYBASE_ASE_DEFAULT_FEATURE_COUNT, SYBASE_ASE_ENCRYPTION_KEY, SYBASE_ASE_ENCRYPTION_KEY__COMMENTS, SYBASE_ASE_ENCRYPTION_KEY__DEPENDENCIES, SYBASE_ASE_ENCRYPTION_KEY__DESCRIPTION, SYBASE_ASE_ENCRYPTION_KEY__EANNOTATIONS, SYBASE_ASE_ENCRYPTION_KEY__EXTENSIONS, SYBASE_ASE_ENCRYPTION_KEY__LABEL, SYBASE_ASE_ENCRYPTION_KEY__NAME, SYBASE_ASE_ENCRYPTION_KEY__PRIVILEGES, SYBASE_ASE_ENCRYPTION_KEY__SCHEMA, SYBASE_ASE_ENCRYPTION_KEY_FEATURE_COUNT, SYBASE_ASE_FUNC_BASED_INDEX_MEMBER, SYBASE_ASE_FUNC_BASED_INDEX_MEMBER__COLUMN, SYBASE_ASE_FUNC_BASED_INDEX_MEMBER__COLUMN_EXPRESSION, SYBASE_ASE_FUNC_BASED_INDEX_MEMBER__COMMENTS, SYBASE_ASE_FUNC_BASED_INDEX_MEMBER__DEPENDENCIES, SYBASE_ASE_FUNC_BASED_INDEX_MEMBER__DESCRIPTION, SYBASE_ASE_FUNC_BASED_INDEX_MEMBER__EANNOTATIONS, SYBASE_ASE_FUNC_BASED_INDEX_MEMBER__EXTENSIONS, SYBASE_ASE_FUNC_BASED_INDEX_MEMBER__INCREMENT_TYPE, SYBASE_ASE_FUNC_BASED_INDEX_MEMBER__LABEL, SYBASE_ASE_FUNC_BASED_INDEX_MEMBER__NAME, SYBASE_ASE_FUNC_BASED_INDEX_MEMBER__PRIVILEGES, SYBASE_ASE_FUNC_BASED_INDEX_MEMBER_FEATURE_COUNT, SYBASE_ASE_GROUP, SYBASE_ASE_GROUP__COMMENTS, SYBASE_ASE_GROUP__DATABASE, SYBASE_ASE_GROUP__DEPENDENCIES, SYBASE_ASE_GROUP__DESCRIPTION, SYBASE_ASE_GROUP__EANNOTATIONS, SYBASE_ASE_GROUP__EXTENSIONS, SYBASE_ASE_GROUP__GRANTED_PRIVILEGE, SYBASE_ASE_GROUP__GRANTED_ROLE_AUTHORIZATION, SYBASE_ASE_GROUP__LABEL, SYBASE_ASE_GROUP__NAME, SYBASE_ASE_GROUP__OWNED_SCHEMA, SYBASE_ASE_GROUP__PRIVILEGES, SYBASE_ASE_GROUP__RECEIVED_PRIVILEGE, SYBASE_ASE_GROUP__RECEIVED_ROLE_AUTHORIZATION, SYBASE_ASE_GROUP__SQL_CONTAINER, SYBASE_ASE_GROUP__USER, SYBASE_ASE_GROUP_FEATURE_COUNT, SYBASE_ASE_INDEX, SYBASE_ASE_INDEX__ALLOW_DUPLICATE_ROW, SYBASE_ASE_INDEX__CACHE_INFO, SYBASE_ASE_INDEX__CLUSTERED, SYBASE_ASE_INDEX__COMMENTS, SYBASE_ASE_INDEX__CONSUMER_NUM, SYBASE_ASE_INDEX__DEPENDENCIES, SYBASE_ASE_INDEX__DESCRIPTION, SYBASE_ASE_INDEX__EANNOTATIONS, SYBASE_ASE_INDEX__EXTENSIONS, SYBASE_ASE_INDEX__FILL_FACTOR, SYBASE_ASE_INDEX__FOREIGN_KEY, SYBASE_ASE_INDEX__IGNORE_DUPLICATE_KEY, SYBASE_ASE_INDEX__IGNORE_DUPLICATE_ROW, SYBASE_ASE_INDEX__INCLUDED_MEMBERS, SYBASE_ASE_INDEX__LABEL, SYBASE_ASE_INDEX__LOCAL_INDEX, SYBASE_ASE_INDEX__MAX_ROW_PER_PAGE, SYBASE_ASE_INDEX__MEMBERS, SYBASE_ASE_INDEX__NAME, SYBASE_ASE_INDEX__PARTITIONS, SYBASE_ASE_INDEX__PRIVILEGES, SYBASE_ASE_INDEX__REVERSE_PAGE_GAP, SYBASE_ASE_INDEX__SCHEMA, SYBASE_ASE_INDEX__SEGMENT, SYBASE_ASE_INDEX__SORTED_DATA, SYBASE_ASE_INDEX__STATISTICS_STEP, SYBASE_ASE_INDEX__SUSPECT, SYBASE_ASE_INDEX__SYSTEM_GENERATED, SYBASE_ASE_INDEX__TABLE, SYBASE_ASE_INDEX__UNIQUE, SYBASE_ASE_INDEX_FEATURE_COUNT, SYBASE_ASE_PREDEFINED_DATA_TYPE, SYBASE_ASE_PREDEFINED_DATA_TYPE__COMMENTS, SYBASE_ASE_PREDEFINED_DATA_TYPE__DATABASE, SYBASE_ASE_PREDEFINED_DATA_TYPE__DEPENDENCIES, SYBASE_ASE_PREDEFINED_DATA_TYPE__DESCRIPTION, SYBASE_ASE_PREDEFINED_DATA_TYPE__EANNOTATIONS, SYBASE_ASE_PREDEFINED_DATA_TYPE__EXTENSIONS, SYBASE_ASE_PREDEFINED_DATA_TYPE__LABEL, SYBASE_ASE_PREDEFINED_DATA_TYPE__NAME, SYBASE_ASE_PREDEFINED_DATA_TYPE__PRIMITIVE_TYPE, SYBASE_ASE_PREDEFINED_DATA_TYPE__PRIVILEGES, SYBASE_ASE_PREDEFINED_DATA_TYPE_FEATURE_COUNT, SYBASE_ASE_PRIMARY_KEY, SYBASE_ASE_PRIMARY_KEY__ASE_UNIQUE_CONSTRAINT, SYBASE_ASE_PRIMARY_KEY__BASE_TABLE, SYBASE_ASE_PRIMARY_KEY__COMMENTS, SYBASE_ASE_PRIMARY_KEY__DEFERRABLE, SYBASE_ASE_PRIMARY_KEY__DEPENDENCIES, SYBASE_ASE_PRIMARY_KEY__DESCRIPTION, SYBASE_ASE_PRIMARY_KEY__EANNOTATIONS, SYBASE_ASE_PRIMARY_KEY__ENFORCED, SYBASE_ASE_PRIMARY_KEY__EXTENSIONS, SYBASE_ASE_PRIMARY_KEY__FOREIGN_KEY, SYBASE_ASE_PRIMARY_KEY__INITIALLY_DEFERRED, SYBASE_ASE_PRIMARY_KEY__LABEL, SYBASE_ASE_PRIMARY_KEY__MEMBERS, SYBASE_ASE_PRIMARY_KEY__NAME, SYBASE_ASE_PRIMARY_KEY__PRIVILEGES, SYBASE_ASE_PRIMARY_KEY_FEATURE_COUNT, SYBASE_ASE_PRIVILEGE, SYBASE_ASE_PRIVILEGE__ACTION, SYBASE_ASE_PRIVILEGE__ACTION_OBJECTS, SYBASE_ASE_PRIVILEGE__COMMENTS, SYBASE_ASE_PRIVILEGE__DEPENDENCIES, SYBASE_ASE_PRIVILEGE__DESCRIPTION, SYBASE_ASE_PRIVILEGE__EANNOTATIONS, SYBASE_ASE_PRIVILEGE__EXTENSIONS, SYBASE_ASE_PRIVILEGE__GRANTABLE, SYBASE_ASE_PRIVILEGE__GRANTEE, SYBASE_ASE_PRIVILEGE__GRANTOR, SYBASE_ASE_PRIVILEGE__LABEL, SYBASE_ASE_PRIVILEGE__NAME, SYBASE_ASE_PRIVILEGE__OBJECT, SYBASE_ASE_PRIVILEGE__PRIVILEGES, SYBASE_ASE_PRIVILEGE__REVOKED, SYBASE_ASE_PRIVILEGE__WITH_HIERARCHY, SYBASE_ASE_PRIVILEGE_FEATURE_COUNT, SYBASE_ASE_PROCEDURE, SYBASE_ASE_PROCEDURE__AUTHORIZATION_ID, SYBASE_ASE_PROCEDURE__COMMENTS, SYBASE_ASE_PROCEDURE__CREATION_TS, SYBASE_ASE_PROCEDURE__DEPENDENCIES, SYBASE_ASE_PROCEDURE__DESCRIPTION, SYBASE_ASE_PROCEDURE__DETERMINISTIC, SYBASE_ASE_PROCEDURE__EANNOTATIONS, SYBASE_ASE_PROCEDURE__EXTENSIONS, SYBASE_ASE_PROCEDURE__EXTERNAL_NAME, SYBASE_ASE_PROCEDURE__GROUP_NUMBER, SYBASE_ASE_PROCEDURE__LABEL, SYBASE_ASE_PROCEDURE__LANGUAGE, SYBASE_ASE_PROCEDURE__LAST_ALTERED_TS, SYBASE_ASE_PROCEDURE__MAX_RESULT_SETS, SYBASE_ASE_PROCEDURE__NAME, SYBASE_ASE_PROCEDURE__OLD_SAVE_POINT, SYBASE_ASE_PROCEDURE__PARAMETER_STYLE, SYBASE_ASE_PROCEDURE__PARAMETERS, SYBASE_ASE_PROCEDURE__PRIVILEGES, SYBASE_ASE_PROCEDURE__RESULT_SET, SYBASE_ASE_PROCEDURE__SCHEMA, SYBASE_ASE_PROCEDURE__SECURITY, SYBASE_ASE_PROCEDURE__SOURCE, SYBASE_ASE_PROCEDURE__SPECIFIC_NAME, SYBASE_ASE_PROCEDURE__SQL_DATA_ACCESS, SYBASE_ASE_PROCEDURE__SYSTEM_PROCEDURE, SYBASE_ASE_PROCEDURE__TRANSACTION_MODE, SYBASE_ASE_PROCEDURE__WITH_RECOMPILE, SYBASE_ASE_PROCEDURE_FEATURE_COUNT, SYBASE_ASE_PROXY_TABLE, SYBASE_ASE_PROXY_TABLE__COLUMN_DELIMITER, SYBASE_ASE_PROXY_TABLE__COLUMNS, SYBASE_ASE_PROXY_TABLE__COMMENTS, SYBASE_ASE_PROXY_TABLE__CONCURRENCY_OPT_THRESHOLD, SYBASE_ASE_PROXY_TABLE__CONSTRAINTS, SYBASE_ASE_PROXY_TABLE__DEPENDENCIES, SYBASE_ASE_PROXY_TABLE__DESCRIPTION, SYBASE_ASE_PROXY_TABLE__EANNOTATIONS, SYBASE_ASE_PROXY_TABLE__EXISTING, SYBASE_ASE_PROXY_TABLE__EXP_ROW_SIZE, SYBASE_ASE_PROXY_TABLE__EXTENSIONS, SYBASE_ASE_PROXY_TABLE__EXTERNAL_PATH, SYBASE_ASE_PROXY_TABLE__EXTERNAL_TYPE, SYBASE_ASE_PROXY_TABLE__FILL_FACTOR, SYBASE_ASE_PROXY_TABLE__IDENTITY_GAP, SYBASE_ASE_PROXY_TABLE__INDEX, SYBASE_ASE_PROXY_TABLE__INSERTABLE, SYBASE_ASE_PROXY_TABLE__LABEL, SYBASE_ASE_PROXY_TABLE__LOCK_PROMOTION, SYBASE_ASE_PROXY_TABLE__LOCK_SCHEMA, SYBASE_ASE_PROXY_TABLE__MAX_ROW_PER_PAGE, SYBASE_ASE_PROXY_TABLE__NAME, SYBASE_ASE_PROXY_TABLE__PARTITION_CONDITION, SYBASE_ASE_PROXY_TABLE__PARTITIONS, SYBASE_ASE_PROXY_TABLE__PRIVILEGES, SYBASE_ASE_PROXY_TABLE__REFERENCING_FOREIGN_KEYS, SYBASE_ASE_PROXY_TABLE__RESERVE_PAGE_GAP, SYBASE_ASE_PROXY_TABLE__SCHEMA, SYBASE_ASE_PROXY_TABLE__SEGMENT, SYBASE_ASE_PROXY_TABLE__SELF_REF_COLUMN_GENERATION, SYBASE_ASE_PROXY_TABLE__SUBTABLES, SYBASE_ASE_PROXY_TABLE__SUPERTABLE, SYBASE_ASE_PROXY_TABLE__SYSTEM_TABLE, SYBASE_ASE_PROXY_TABLE__TABLE_ONLY_CACHE_INFO, SYBASE_ASE_PROXY_TABLE__TEXT_IMAGE_SEGMENT, SYBASE_ASE_PROXY_TABLE__TEXT_ONLY_CACHE_INFO, SYBASE_ASE_PROXY_TABLE__TRIGGERS, SYBASE_ASE_PROXY_TABLE__UDT, SYBASE_ASE_PROXY_TABLE__UPDATABLE, SYBASE_ASE_PROXY_TABLE_FEATURE_COUNT, SYBASE_ASE_ROLE, SYBASE_ASE_ROLE__COMMENTS, SYBASE_ASE_ROLE__DATABASE, SYBASE_ASE_ROLE__DEPENDENCIES, SYBASE_ASE_ROLE__DESCRIPTION, SYBASE_ASE_ROLE__EANNOTATIONS, SYBASE_ASE_ROLE__EXTENSIONS, SYBASE_ASE_ROLE__GRANTED_PRIVILEGE, SYBASE_ASE_ROLE__GRANTED_ROLE_AUTHORIZATION, SYBASE_ASE_ROLE__LABEL, SYBASE_ASE_ROLE__NAME, SYBASE_ASE_ROLE__OWNED_SCHEMA, SYBASE_ASE_ROLE__PRIVILEGES, SYBASE_ASE_ROLE__RECEIVED_PRIVILEGE, SYBASE_ASE_ROLE__RECEIVED_ROLE_AUTHORIZATION, SYBASE_ASE_ROLE__ROLE_AUTHORIZATION, SYBASE_ASE_ROLE__SQL_CONTAINER, SYBASE_ASE_ROLE_FEATURE_COUNT, SYBASE_ASE_RULE, SYBASE_ASE_RULE__ACCESS_RULE, SYBASE_ASE_RULE__ACCESS_TYPE, SYBASE_ASE_RULE__COMMENTS, SYBASE_ASE_RULE__DEPENDENCIES, SYBASE_ASE_RULE__DESCRIPTION, SYBASE_ASE_RULE__EANNOTATIONS, SYBASE_ASE_RULE__EXTENSIONS, SYBASE_ASE_RULE__LABEL, SYBASE_ASE_RULE__NAME, SYBASE_ASE_RULE__PRIVILEGES, SYBASE_ASE_RULE__SCHEMA, SYBASE_ASE_RULE__STATEMENT, SYBASE_ASE_RULE_FEATURE_COUNT, SYBASE_ASE_SCHEMA, SYBASE_ASE_SCHEMA__ASSERTIONS, SYBASE_ASE_SCHEMA__CATALOG, SYBASE_ASE_SCHEMA__CHAR_SETS, SYBASE_ASE_SCHEMA__COMMENTS, SYBASE_ASE_SCHEMA__DATABASE, SYBASE_ASE_SCHEMA__DEFAULTS, SYBASE_ASE_SCHEMA__DEPENDENCIES, SYBASE_ASE_SCHEMA__DESCRIPTION, SYBASE_ASE_SCHEMA__EANNOTATIONS, SYBASE_ASE_SCHEMA__ENCRYPTION_KEYS, SYBASE_ASE_SCHEMA__EXTENSIONS, SYBASE_ASE_SCHEMA__INDICES, SYBASE_ASE_SCHEMA__LABEL, SYBASE_ASE_SCHEMA__NAME, SYBASE_ASE_SCHEMA__OWNER, SYBASE_ASE_SCHEMA__PRIVILEGES, SYBASE_ASE_SCHEMA__ROUTINES, SYBASE_ASE_SCHEMA__RULES, SYBASE_ASE_SCHEMA__SEQUENCES, SYBASE_ASE_SCHEMA__TABLES, SYBASE_ASE_SCHEMA__TRIGGERS, SYBASE_ASE_SCHEMA__USER_DEFINED_TYPES, SYBASE_ASE_SCHEMA_FEATURE_COUNT, SYBASE_ASE_SEGMENT, SYBASE_ASE_SEGMENT__CATALOG, SYBASE_ASE_SEGMENT__COMMENTS, SYBASE_ASE_SEGMENT__DEPENDENCIES, SYBASE_ASE_SEGMENT__DESCRIPTION, SYBASE_ASE_SEGMENT__DEVICE_NAMES, SYBASE_ASE_SEGMENT__EANNOTATIONS, SYBASE_ASE_SEGMENT__EXTENSIONS, SYBASE_ASE_SEGMENT__LABEL, SYBASE_ASE_SEGMENT__NAME, SYBASE_ASE_SEGMENT__PRIVILEGES, SYBASE_ASE_SEGMENT__THRESHOLDS, SYBASE_ASE_SEGMENT_FEATURE_COUNT, SYBASE_ASE_TABLE, SYBASE_ASE_TABLE__COLUMNS, SYBASE_ASE_TABLE__COMMENTS, SYBASE_ASE_TABLE__CONCURRENCY_OPT_THRESHOLD, SYBASE_ASE_TABLE__CONSTRAINTS, SYBASE_ASE_TABLE__DEPENDENCIES, SYBASE_ASE_TABLE__DESCRIPTION, SYBASE_ASE_TABLE__EANNOTATIONS, SYBASE_ASE_TABLE__EXP_ROW_SIZE, SYBASE_ASE_TABLE__EXTENSIONS, SYBASE_ASE_TABLE__FILL_FACTOR, SYBASE_ASE_TABLE__IDENTITY_GAP, SYBASE_ASE_TABLE__INDEX, SYBASE_ASE_TABLE__INSERTABLE, SYBASE_ASE_TABLE__LABEL, SYBASE_ASE_TABLE__LOCK_PROMOTION, SYBASE_ASE_TABLE__LOCK_SCHEMA, SYBASE_ASE_TABLE__MAX_ROW_PER_PAGE, SYBASE_ASE_TABLE__NAME, SYBASE_ASE_TABLE__PARTITION_CONDITION, SYBASE_ASE_TABLE__PARTITIONS, SYBASE_ASE_TABLE__PRIVILEGES, SYBASE_ASE_TABLE__REFERENCING_FOREIGN_KEYS, SYBASE_ASE_TABLE__RESERVE_PAGE_GAP, SYBASE_ASE_TABLE__SCHEMA, SYBASE_ASE_TABLE__SEGMENT, SYBASE_ASE_TABLE__SELF_REF_COLUMN_GENERATION, SYBASE_ASE_TABLE__SUBTABLES, SYBASE_ASE_TABLE__SUPERTABLE, SYBASE_ASE_TABLE__SYSTEM_TABLE, SYBASE_ASE_TABLE__TABLE_ONLY_CACHE_INFO, SYBASE_ASE_TABLE__TEXT_IMAGE_SEGMENT, SYBASE_ASE_TABLE__TEXT_ONLY_CACHE_INFO, SYBASE_ASE_TABLE__TRIGGERS, SYBASE_ASE_TABLE__UDT, SYBASE_ASE_TABLE__UPDATABLE, SYBASE_ASE_TABLE_FEATURE_COUNT, SYBASE_ASE_TEMP_TABLE, SYBASE_ASE_TEMP_TABLE__COLUMNS, SYBASE_ASE_TEMP_TABLE__COMMENTS, SYBASE_ASE_TEMP_TABLE__CONCURRENCY_OPT_THRESHOLD, SYBASE_ASE_TEMP_TABLE__CONSTRAINTS, SYBASE_ASE_TEMP_TABLE__DELETE_ON_COMMIT, SYBASE_ASE_TEMP_TABLE__DEPENDENCIES, SYBASE_ASE_TEMP_TABLE__DESCRIPTION, SYBASE_ASE_TEMP_TABLE__EANNOTATIONS, SYBASE_ASE_TEMP_TABLE__EXP_ROW_SIZE, SYBASE_ASE_TEMP_TABLE__EXTENSIONS, SYBASE_ASE_TEMP_TABLE__FILL_FACTOR, SYBASE_ASE_TEMP_TABLE__IDENTITY_GAP, SYBASE_ASE_TEMP_TABLE__INDEX, SYBASE_ASE_TEMP_TABLE__INSERTABLE, SYBASE_ASE_TEMP_TABLE__LABEL, SYBASE_ASE_TEMP_TABLE__LOCAL, SYBASE_ASE_TEMP_TABLE__LOCK_PROMOTION, SYBASE_ASE_TEMP_TABLE__LOCK_SCHEMA, SYBASE_ASE_TEMP_TABLE__MAX_ROW_PER_PAGE, SYBASE_ASE_TEMP_TABLE__NAME, SYBASE_ASE_TEMP_TABLE__PARTITION_CONDITION, SYBASE_ASE_TEMP_TABLE__PARTITIONS, SYBASE_ASE_TEMP_TABLE__PRIVILEGES, SYBASE_ASE_TEMP_TABLE__REFERENCING_FOREIGN_KEYS, SYBASE_ASE_TEMP_TABLE__RESERVE_PAGE_GAP, SYBASE_ASE_TEMP_TABLE__SCHEMA, SYBASE_ASE_TEMP_TABLE__SEGMENT, SYBASE_ASE_TEMP_TABLE__SELF_REF_COLUMN_GENERATION, SYBASE_ASE_TEMP_TABLE__SUBTABLES, SYBASE_ASE_TEMP_TABLE__SUPERTABLE, SYBASE_ASE_TEMP_TABLE__SYSTEM_TABLE, SYBASE_ASE_TEMP_TABLE__TABLE_ONLY_CACHE_INFO, SYBASE_ASE_TEMP_TABLE__TEXT_IMAGE_SEGMENT, SYBASE_ASE_TEMP_TABLE__TEXT_ONLY_CACHE_INFO, SYBASE_ASE_TEMP_TABLE__TRIGGERS, SYBASE_ASE_TEMP_TABLE__UDT, SYBASE_ASE_TEMP_TABLE__UPDATABLE, SYBASE_ASE_TEMP_TABLE_FEATURE_COUNT, SYBASE_ASE_TRIGGER, SYBASE_ASE_TRIGGER__ACTION_GRANULARITY, SYBASE_ASE_TRIGGER__ACTION_STATEMENT, SYBASE_ASE_TRIGGER__ACTION_TIME, SYBASE_ASE_TRIGGER__COMMENTS, SYBASE_ASE_TRIGGER__DELETE_TYPE, SYBASE_ASE_TRIGGER__DEPENDENCIES, SYBASE_ASE_TRIGGER__DESCRIPTION, SYBASE_ASE_TRIGGER__EANNOTATIONS, SYBASE_ASE_TRIGGER__ENABLED, SYBASE_ASE_TRIGGER__EXTENSIONS, SYBASE_ASE_TRIGGER__INSERT_TYPE, SYBASE_ASE_TRIGGER__LABEL, SYBASE_ASE_TRIGGER__NAME, SYBASE_ASE_TRIGGER__NEW_ROW, SYBASE_ASE_TRIGGER__NEW_TABLE, SYBASE_ASE_TRIGGER__OLD_ROW, SYBASE_ASE_TRIGGER__OLD_TABLE, SYBASE_ASE_TRIGGER__PRIVILEGES, SYBASE_ASE_TRIGGER__SCHEMA, SYBASE_ASE_TRIGGER__SUBJECT_TABLE, SYBASE_ASE_TRIGGER__TIME_STAMP, SYBASE_ASE_TRIGGER__TRIGGER_COLUMN, SYBASE_ASE_TRIGGER__UPDATE_TYPE, SYBASE_ASE_TRIGGER__WHEN, SYBASE_ASE_TRIGGER_FEATURE_COUNT, SYBASE_ASE_UNIQUE_CONSTRAINT, SYBASE_ASE_UNIQUE_CONSTRAINT__BASE_TABLE, SYBASE_ASE_UNIQUE_CONSTRAINT__COMMENTS, SYBASE_ASE_UNIQUE_CONSTRAINT__DEFERRABLE, SYBASE_ASE_UNIQUE_CONSTRAINT__DEPENDENCIES, SYBASE_ASE_UNIQUE_CONSTRAINT__DESCRIPTION, SYBASE_ASE_UNIQUE_CONSTRAINT__EANNOTATIONS, SYBASE_ASE_UNIQUE_CONSTRAINT__ENFORCED, SYBASE_ASE_UNIQUE_CONSTRAINT__EXTENSIONS, SYBASE_ASE_UNIQUE_CONSTRAINT__FOREIGN_KEY, SYBASE_ASE_UNIQUE_CONSTRAINT__INITIALLY_DEFERRED, SYBASE_ASE_UNIQUE_CONSTRAINT__LABEL, SYBASE_ASE_UNIQUE_CONSTRAINT__MEMBERS, SYBASE_ASE_UNIQUE_CONSTRAINT__NAME, SYBASE_ASE_UNIQUE_CONSTRAINT__PRIVILEGES, SYBASE_ASE_UNIQUE_CONSTRAINT__SYSTEM_GENED_INDEX, SYBASE_ASE_UNIQUE_CONSTRAINT__SYSTEM_GENED_NAME, SYBASE_ASE_UNIQUE_CONSTRAINT_FEATURE_COUNT, SYBASE_ASE_USER, SYBASE_ASE_USER__COMMENTS, SYBASE_ASE_USER__DATABASE, SYBASE_ASE_USER__DEPENDENCIES, SYBASE_ASE_USER__DESCRIPTION, SYBASE_ASE_USER__EANNOTATIONS, SYBASE_ASE_USER__EXTENSIONS, SYBASE_ASE_USER__GRANTED_PRIVILEGE, SYBASE_ASE_USER__GRANTED_ROLE_AUTHORIZATION, SYBASE_ASE_USER__GROUP, SYBASE_ASE_USER__LABEL, SYBASE_ASE_USER__LOGIN_NAME, SYBASE_ASE_USER__NAME, SYBASE_ASE_USER__OWNED_SCHEMA, SYBASE_ASE_USER__PRIVILEGES, SYBASE_ASE_USER__RECEIVED_PRIVILEGE, SYBASE_ASE_USER__RECEIVED_ROLE_AUTHORIZATION, SYBASE_ASE_USER__SQL_CONTAINER, SYBASE_ASE_USER_DEFINED_TYPE, SYBASE_ASE_USER_DEFINED_TYPE__ALLOW_NULLS, SYBASE_ASE_USER_DEFINED_TYPE__BIND_DEFAULT_IN_FUTURE_ONLY, SYBASE_ASE_USER_DEFINED_TYPE__BIND_RULE_IN_FUTURE_ONLY, SYBASE_ASE_USER_DEFINED_TYPE__BOUND_DEFAULT, SYBASE_ASE_USER_DEFINED_TYPE__BOUND_RULE, SYBASE_ASE_USER_DEFINED_TYPE__COMMENTS, SYBASE_ASE_USER_DEFINED_TYPE__DEPENDENCIES, SYBASE_ASE_USER_DEFINED_TYPE__DESCRIPTION, SYBASE_ASE_USER_DEFINED_TYPE__EANNOTATIONS, SYBASE_ASE_USER_DEFINED_TYPE__EXTENSIONS, SYBASE_ASE_USER_DEFINED_TYPE__IDENTITY, SYBASE_ASE_USER_DEFINED_TYPE__LABEL, SYBASE_ASE_USER_DEFINED_TYPE__NAME, SYBASE_ASE_USER_DEFINED_TYPE__ORDERING, SYBASE_ASE_USER_DEFINED_TYPE__PREDEFINED_REPRESENTATION, SYBASE_ASE_USER_DEFINED_TYPE__PRIVILEGES, SYBASE_ASE_USER_DEFINED_TYPE__SCHEMA, SYBASE_ASE_USER_DEFINED_TYPE_FEATURE_COUNT, SYBASE_ASE_USER_FEATURE_COUNT, SYBASE_ASE_VIEW_TABLE, SYBASE_ASE_VIEW_TABLE__CHECK_TYPE, SYBASE_ASE_VIEW_TABLE__COLUMNS, SYBASE_ASE_VIEW_TABLE__COMMENTS, SYBASE_ASE_VIEW_TABLE__DEPENDENCIES, SYBASE_ASE_VIEW_TABLE__DESCRIPTION, SYBASE_ASE_VIEW_TABLE__EANNOTATIONS, SYBASE_ASE_VIEW_TABLE__EXTENSIONS, SYBASE_ASE_VIEW_TABLE__INDEX, SYBASE_ASE_VIEW_TABLE__INSERTABLE, SYBASE_ASE_VIEW_TABLE__LABEL, SYBASE_ASE_VIEW_TABLE__NAME, SYBASE_ASE_VIEW_TABLE__PRIVILEGES, SYBASE_ASE_VIEW_TABLE__QUERY_EXPRESSION, SYBASE_ASE_VIEW_TABLE__SCHEMA, SYBASE_ASE_VIEW_TABLE__SELF_REF_COLUMN_GENERATION, SYBASE_ASE_VIEW_TABLE__SUBTABLES, SYBASE_ASE_VIEW_TABLE__SUPERTABLE, SYBASE_ASE_VIEW_TABLE__TRIGGERS, SYBASE_ASE_VIEW_TABLE__UDT, SYBASE_ASE_VIEW_TABLE__UPDATABLE, SYBASE_ASE_VIEW_TABLE__WITH_CHECK_OPTION, SYBASE_ASE_VIEW_TABLE_FEATURE_COUNT, SYBASE_ASE_WEB_SERVICE, SYBASE_ASE_WEB_SERVICE__AUTH_REQUIRED, SYBASE_ASE_WEB_SERVICE__COMMENTS, SYBASE_ASE_WEB_SERVICE__DATABASE, SYBASE_ASE_WEB_SERVICE__DEPENDENCIES, SYBASE_ASE_WEB_SERVICE__DESCRIPTION, SYBASE_ASE_WEB_SERVICE__EANNOTATIONS, SYBASE_ASE_WEB_SERVICE__EXTENSIONS, SYBASE_ASE_WEB_SERVICE__LABEL, SYBASE_ASE_WEB_SERVICE__NAME, SYBASE_ASE_WEB_SERVICE__PARAMETER, SYBASE_ASE_WEB_SERVICE__PRIVILEGES, SYBASE_ASE_WEB_SERVICE__REMARKS, SYBASE_ASE_WEB_SERVICE__SECURE_REQUIRED, SYBASE_ASE_WEB_SERVICE__SERVICE_ID, SYBASE_ASE_WEB_SERVICE__SERVICE_TYPE, SYBASE_ASE_WEB_SERVICE__STATEMENT, SYBASE_ASE_WEB_SERVICE__URL_PATH, SYBASE_ASE_WEB_SERVICE__USER_NAME, SYBASE_ASE_WEB_SERVICE_FEATURE_COUNT, SYBASE_ASE_WEB_SERVICE_TABLE, SYBASE_ASE_WEB_SERVICE_TABLE__COLUMN_DELIMITER, SYBASE_ASE_WEB_SERVICE_TABLE__COLUMNS, SYBASE_ASE_WEB_SERVICE_TABLE__COMMENTS, SYBASE_ASE_WEB_SERVICE_TABLE__CONCURRENCY_OPT_THRESHOLD, SYBASE_ASE_WEB_SERVICE_TABLE__CONSTRAINTS, SYBASE_ASE_WEB_SERVICE_TABLE__DEPENDENCIES, SYBASE_ASE_WEB_SERVICE_TABLE__DESCRIPTION, SYBASE_ASE_WEB_SERVICE_TABLE__EANNOTATIONS, SYBASE_ASE_WEB_SERVICE_TABLE__EXISTING, SYBASE_ASE_WEB_SERVICE_TABLE__EXP_ROW_SIZE, SYBASE_ASE_WEB_SERVICE_TABLE__EXTENSIONS, SYBASE_ASE_WEB_SERVICE_TABLE__EXTERNAL_PATH, SYBASE_ASE_WEB_SERVICE_TABLE__EXTERNAL_TYPE, SYBASE_ASE_WEB_SERVICE_TABLE__FILL_FACTOR, SYBASE_ASE_WEB_SERVICE_TABLE__IDENTITY_GAP, SYBASE_ASE_WEB_SERVICE_TABLE__INDEX, SYBASE_ASE_WEB_SERVICE_TABLE__INSERTABLE, SYBASE_ASE_WEB_SERVICE_TABLE__LABEL, SYBASE_ASE_WEB_SERVICE_TABLE__LOCK_PROMOTION, SYBASE_ASE_WEB_SERVICE_TABLE__LOCK_SCHEMA, SYBASE_ASE_WEB_SERVICE_TABLE__MAX_ROW_PER_PAGE, SYBASE_ASE_WEB_SERVICE_TABLE__METHOD, SYBASE_ASE_WEB_SERVICE_TABLE__NAME, SYBASE_ASE_WEB_SERVICE_TABLE__PARTITION_CONDITION, SYBASE_ASE_WEB_SERVICE_TABLE__PARTITIONS, SYBASE_ASE_WEB_SERVICE_TABLE__PRIVILEGES, SYBASE_ASE_WEB_SERVICE_TABLE__REFERENCING_FOREIGN_KEYS, SYBASE_ASE_WEB_SERVICE_TABLE__RESERVE_PAGE_GAP, SYBASE_ASE_WEB_SERVICE_TABLE__SCHEMA, SYBASE_ASE_WEB_SERVICE_TABLE__SEGMENT, SYBASE_ASE_WEB_SERVICE_TABLE__SELF_REF_COLUMN_GENERATION, SYBASE_ASE_WEB_SERVICE_TABLE__SUBTABLES, SYBASE_ASE_WEB_SERVICE_TABLE__SUPERTABLE, SYBASE_ASE_WEB_SERVICE_TABLE__SYSTEM_TABLE, SYBASE_ASE_WEB_SERVICE_TABLE__TABLE_ONLY_CACHE_INFO, SYBASE_ASE_WEB_SERVICE_TABLE__TEXT_IMAGE_SEGMENT, SYBASE_ASE_WEB_SERVICE_TABLE__TEXT_ONLY_CACHE_INFO, SYBASE_ASE_WEB_SERVICE_TABLE__TRIGGERS, SYBASE_ASE_WEB_SERVICE_TABLE__UDT, SYBASE_ASE_WEB_SERVICE_TABLE__UPDATABLE, SYBASE_ASE_WEB_SERVICE_TABLE__WSDLURI, SYBASE_ASE_WEB_SERVICE_TABLE_FEATURE_COUNT, TRANSACTION_MODE_TYPE`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`void` `createPackageContents()` Creates the meta-model objects for the package.
`org.eclipse.emf.ecore.EEnum` `getAccessRuleType()`
`org.eclipse.emf.ecore.EReference` `getCacheInfo_Cache()`
`org.eclipse.emf.ecore.EAttribute` `getCacheInfo_CacheStrategy()`
`org.eclipse.emf.ecore.EClass` `getCacheInfo()`
`org.eclipse.emf.ecore.EEnum` `getCacheStrategyType()`
`org.eclipse.emf.ecore.EAttribute` `getDeviceItem_DeviceName()`
`org.eclipse.emf.ecore.EAttribute` `getDeviceItem_Size()`
`org.eclipse.emf.ecore.EClass` `getDeviceItem()`
`org.eclipse.emf.ecore.EEnum` `getLockingSchemaType()`
`org.eclipse.emf.ecore.EAttribute` `getLockPromotionInfo_HWM()`
`org.eclipse.emf.ecore.EAttribute` `getLockPromotionInfo_LWM()`
`org.eclipse.emf.ecore.EAttribute` `getLockPromotionInfo_PCT()`
`org.eclipse.emf.ecore.EAttribute` `getLockPromotionInfo_RowLockPromotion()`
`org.eclipse.emf.ecore.EClass` `getLockPromotionInfo()`
`org.eclipse.emf.ecore.EEnum` `getProxyTableExternalType()`
`org.eclipse.emf.ecore.EAttribute` `getSegmentThreshold_FreeSpace()`
`org.eclipse.emf.ecore.EAttribute` `getSegmentThreshold_ProcedureName()`
`org.eclipse.emf.ecore.EClass` `getSegmentThreshold()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEBaseTable_ConcurrencyOptThreshold()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEBaseTable_ExpRowSize()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEBaseTable_FillFactor()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEBaseTable_IdentityGap()`
`org.eclipse.emf.ecore.EReference` `getSybaseASEBaseTable_LockPromotion()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEBaseTable_LockSchema()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEBaseTable_MaxRowPerPage()`
`org.eclipse.emf.ecore.EReference` `getSybaseASEBaseTable_PartitionCondition()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEBaseTable_Partitions()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEBaseTable_ReservePageGap()`
`org.eclipse.emf.ecore.EReference` `getSybaseASEBaseTable_Segment()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEBaseTable_SystemTable()`
`org.eclipse.emf.ecore.EReference` `getSybaseASEBaseTable_TableOnlyCacheInfo()`
`org.eclipse.emf.ecore.EReference` `getSybaseASEBaseTable_TextImageSegment()`
`org.eclipse.emf.ecore.EReference` `getSybaseASEBaseTable_TextOnlyCacheInfo()`
`org.eclipse.emf.ecore.EClass` `getSybaseASEBaseTable()`
`org.eclipse.emf.ecore.EReference` `getSybaseASECache_Database()`
`org.eclipse.emf.ecore.EClass` `getSybaseASECache()`
`org.eclipse.emf.ecore.EReference` `getSybaseASECatalog_AuthorizationIds()`
`org.eclipse.emf.ecore.EReference` `getSybaseASECatalog_Cache()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASECatalog_CatalogType()`
`org.eclipse.emf.ecore.EReference` `getSybaseASECatalog_DataDevices()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASECatalog_DefaultLocation()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASECatalog_ForLoad()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASECatalog_ForProxyUpdate()`
`org.eclipse.emf.ecore.EReference` `getSybaseASECatalog_LogDevices()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASECatalog_LogIOSize()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASECatalog_Override()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASECatalog_RecoveryOrder()`
`org.eclipse.emf.ecore.EReference` `getSybaseASECatalog_Segments()`
`org.eclipse.emf.ecore.EClass` `getSybaseASECatalog()`
`org.eclipse.emf.ecore.EEnum` `getSybaseASECatalogType()`
`org.eclipse.emf.ecore.EReference` `getSybaseASECheckConstraint_Creator()`
`org.eclipse.emf.ecore.EClass` `getSybaseASECheckConstraint()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEColumn_BindDefaultInFutureOnly()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEColumn_BindRuleInFutureOnly()`
`org.eclipse.emf.ecore.EReference` `getSybaseASEColumn_BoundDefault()`
`org.eclipse.emf.ecore.EReference` `getSybaseASEColumn_BoundRule()`
`org.eclipse.emf.ecore.EReference` `getSybaseASEColumn_ColumnCheck()`
`org.eclipse.emf.ecore.EReference` `getSybaseASEColumn_EncryptionKey()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEColumn_Hidden()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEColumn_Materialized()`
`org.eclipse.emf.ecore.EClass` `getSybaseASEColumn()`
`org.eclipse.emf.ecore.EReference` `getSybaseASEColumnCheckConstraint_Column()`
`org.eclipse.emf.ecore.EClass` `getSybaseASEColumnCheckConstraint()`
`org.eclipse.emf.ecore.EReference` `getSybaseASEDatabase_Caches()`
`org.eclipse.emf.ecore.EReference` `getSybaseASEDatabase_DataTypes()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEDatabase_EncryptionKeyApplicable()`
`org.eclipse.emf.ecore.EReference` `getSybaseASEDatabase_Roles()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEDatabase_SdsServer()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEDatabase_TempDBName()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEDatabase_WebserviceApplicable()`
`org.eclipse.emf.ecore.EReference` `getSybaseASEDatabase_WebServices()`
`org.eclipse.emf.ecore.EClass` `getSybaseASEDatabase()`
`org.eclipse.emf.ecore.EReference` `getSybaseASEDefault_Schema()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEDefault_Statement()`
`org.eclipse.emf.ecore.EClass` `getSybaseASEDefault()`
`org.eclipse.emf.ecore.EReference` `getSybaseASEEncryptionKey_Schema()`
`org.eclipse.emf.ecore.EClass` `getSybaseASEEncryptionKey()`
`org.eclipse.emf.ecore.EClass` `getSybaseASEFuncBasedIndexMember()`
`org.eclipse.emf.ecore.EClass` `getSybaseASEGroup()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEIndex_AllowDuplicateRow()`
`org.eclipse.emf.ecore.EReference` `getSybaseASEIndex_CacheInfo()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEIndex_ConsumerNum()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEIndex_IgnoreDuplicateKey()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEIndex_IgnoreDuplicateRow()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEIndex_LocalIndex()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEIndex_MaxRowPerPage()`
`org.eclipse.emf.ecore.EReference` `getSybaseASEIndex_Partitions()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEIndex_ReversePageGap()`
`org.eclipse.emf.ecore.EReference` `getSybaseASEIndex_Segment()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEIndex_SortedData()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEIndex_StatisticsStep()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEIndex_Suspect()`
`org.eclipse.emf.ecore.EClass` `getSybaseASEIndex()`
`org.eclipse.emf.ecore.EReference` `getSybaseASEPredefinedDataType_Database()`
`org.eclipse.emf.ecore.EClass` `getSybaseASEPredefinedDataType()`
`org.eclipse.emf.ecore.EReference` `getSybaseASEPrimaryKey_AseUniqueConstraint()`
`org.eclipse.emf.ecore.EClass` `getSybaseASEPrimaryKey()`
`org.eclipse.emf.ecore.EClass` `getSybaseASEPrivilege()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEProcedure_GroupNumber()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEProcedure_SystemProcedure()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEProcedure_TransactionMode()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEProcedure_WithRecompile()`
`org.eclipse.emf.ecore.EClass` `getSybaseASEProcedure()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEProxyTable_ColumnDelimiter()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEProxyTable_Existing()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEProxyTable_ExternalPath()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEProxyTable_ExternalType()`
`org.eclipse.emf.ecore.EClass` `getSybaseASEProxyTable()`
`org.eclipse.emf.ecore.EClass` `getSybaseASERole()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASERule_AccessRule()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASERule_AccessType()`
`org.eclipse.emf.ecore.EReference` `getSybaseASERule_Schema()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASERule_Statement()`
`org.eclipse.emf.ecore.EClass` `getSybaseASERule()`
`org.eclipse.emf.ecore.EReference` `getSybaseASESchema_Defaults()`
`org.eclipse.emf.ecore.EReference` `getSybaseASESchema_EncryptionKeys()`
`org.eclipse.emf.ecore.EReference` `getSybaseASESchema_Rules()`
`org.eclipse.emf.ecore.EClass` `getSybaseASESchema()`
`org.eclipse.emf.ecore.EReference` `getSybaseASESegment_Catalog()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASESegment_DeviceNames()`
`org.eclipse.emf.ecore.EReference` `getSybaseASESegment_Thresholds()`
`org.eclipse.emf.ecore.EClass` `getSybaseASESegment()`
`SybaseasesqlmodelFactory` `getSybaseasesqlmodelFactory()`
`org.eclipse.emf.ecore.EClass` `getSybaseASETable()`
`org.eclipse.emf.ecore.EClass` `getSybaseASETempTable()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASETrigger_Enabled()`
`org.eclipse.emf.ecore.EClass` `getSybaseASETrigger()`
`org.eclipse.emf.ecore.EReference` `getSybaseASEUniqueConstraint_SystemGenedIndex()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEUniqueConstraint_SystemGenedName()`
`org.eclipse.emf.ecore.EClass` `getSybaseASEUniqueConstraint()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEUser_LoginName()`
`org.eclipse.emf.ecore.EClass` `getSybaseASEUser()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEUserDefinedType_AllowNulls()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEUserDefinedType_BindDefaultInFutureOnly()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEUserDefinedType_BindRuleInFutureOnly()`
`org.eclipse.emf.ecore.EReference` `getSybaseASEUserDefinedType_BoundDefault()`
`org.eclipse.emf.ecore.EReference` `getSybaseASEUserDefinedType_BoundRule()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEUserDefinedType_Identity()`
`org.eclipse.emf.ecore.EClass` `getSybaseASEUserDefinedType()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEViewTable_WithCheckOption()`
`org.eclipse.emf.ecore.EClass` `getSybaseASEViewTable()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEWebService_Auth_required()`
`org.eclipse.emf.ecore.EReference` `getSybaseASEWebService_Database()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEWebService_Parameter()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEWebService_Remarks()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEWebService_Secure_required()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEWebService_Service_id()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEWebService_Service_type()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEWebService_Statement()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEWebService_Url_path()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEWebService_User_name()`
`org.eclipse.emf.ecore.EClass` `getSybaseASEWebService()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEWebServiceTable_Method()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASEWebServiceTable_WSDLURI()`
`org.eclipse.emf.ecore.EClass` `getSybaseASEWebServiceTable()`
`org.eclipse.emf.ecore.EEnum` `getTransactionModeType()`
`static SybaseasesqlmodelPackage` `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`basicGetESuperPackage, basicSetEFactoryInstance, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eUnset, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, setEFactoryInstance, setExtendedMetaData, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eURIFragmentSegment, getEAnnotation, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static SybaseasesqlmodelPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends. Simple dependencies are satisfied by calling this method on all dependent packages before doing anything else. This method drives initialization for interdependent packages directly, in parallel with this package, itself.

  Of this package and its interdependencies, all packages which have not yet been registered by their URI values are first created and registered. The packages are then initialized in two steps: meta-model objects for all of the packages are created before any are initialized, since one package's meta-model objects may refer to those of another.

  Invocation of this method will not affect any packages that have already been initialized.

  See Also:
    `SybaseasesqlmodelPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getSybaseASESchema

    public org.eclipse.emf.ecore.EClass getSybaseASESchema()

  Specified by:
    `getSybaseASESchema` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASE Schema'.
  See Also:
    `SybaseASESchema`

### getSybaseASESchema_Defaults

    public org.eclipse.emf.ecore.EReference getSybaseASESchema_Defaults()

  Specified by:
    `getSybaseASESchema_Defaults` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the reference list 'Defaults'.
  See Also:
    `SybaseASESchema.getDefaults()`, `SybaseasesqlmodelPackage.getSybaseASESchema()`

### getSybaseASESchema_Rules

    public org.eclipse.emf.ecore.EReference getSybaseASESchema_Rules()

  Specified by:
    `getSybaseASESchema_Rules` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the reference list 'Rules'.
  See Also:
    `SybaseASESchema.getRules()`, `SybaseasesqlmodelPackage.getSybaseASESchema()`

### getSybaseASESchema_EncryptionKeys

    public org.eclipse.emf.ecore.EReference getSybaseASESchema_EncryptionKeys()

  Specified by:
    `getSybaseASESchema_EncryptionKeys` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the reference list 'Encryption Keys'.
  See Also:
    `SybaseASESchema.getEncryptionKeys()`, `SybaseasesqlmodelPackage.getSybaseASESchema()`

### getSybaseASEDatabase

    public org.eclipse.emf.ecore.EClass getSybaseASEDatabase()

  Specified by:
    `getSybaseASEDatabase` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASE Database'.
  See Also:
    `SybaseASEDatabase`

### getSybaseASEDatabase_DataTypes

    public org.eclipse.emf.ecore.EReference getSybaseASEDatabase_DataTypes()

  Specified by:
    `getSybaseASEDatabase_DataTypes` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the reference list 'Data Types'.
  See Also:
    `SybaseASEDatabase.getDataTypes()`, `SybaseasesqlmodelPackage.getSybaseASEDatabase()`

### getSybaseASEDatabase_EncryptionKeyApplicable

    public org.eclipse.emf.ecore.EAttribute getSybaseASEDatabase_EncryptionKeyApplicable()

  Specified by:
    `getSybaseASEDatabase_EncryptionKeyApplicable` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Encryption Key Applicable'.
  See Also:
    `SybaseASEDatabase.isEncryptionKeyApplicable()`, `SybaseasesqlmodelPackage.getSybaseASEDatabase()`

### getSybaseASEDatabase_Roles

    public org.eclipse.emf.ecore.EReference getSybaseASEDatabase_Roles()

  Specified by:
    `getSybaseASEDatabase_Roles` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the reference list 'Roles'.
  See Also:
    `SybaseASEDatabase.getRoles()`, `SybaseasesqlmodelPackage.getSybaseASEDatabase()`

### getSybaseASEDatabase_Caches

    public org.eclipse.emf.ecore.EReference getSybaseASEDatabase_Caches()

  Specified by:
    `getSybaseASEDatabase_Caches` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the containment reference list 'Caches'.
  See Also:
    `SybaseASEDatabase.getCaches()`, `SybaseasesqlmodelPackage.getSybaseASEDatabase()`

### getSybaseASEDatabase_WebServices

    public org.eclipse.emf.ecore.EReference getSybaseASEDatabase_WebServices()

  Specified by:
    `getSybaseASEDatabase_WebServices` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the containment reference list 'Web Services'.
  See Also:
    `SybaseASEDatabase.getWebServices()`, `SybaseasesqlmodelPackage.getSybaseASEDatabase()`

### getSybaseASEDatabase_WebserviceApplicable

    public org.eclipse.emf.ecore.EAttribute getSybaseASEDatabase_WebserviceApplicable()

  Specified by:
    `getSybaseASEDatabase_WebserviceApplicable` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Webservice Applicable'.
  See Also:
    `SybaseASEDatabase.isWebserviceApplicable()`, `SybaseasesqlmodelPackage.getSybaseASEDatabase()`

### getSybaseASEDatabase_SdsServer

    public org.eclipse.emf.ecore.EAttribute getSybaseASEDatabase_SdsServer()

  Specified by:
    `getSybaseASEDatabase_SdsServer` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute list 'Sds Server'.
  See Also:
    `SybaseASEDatabase.getSdsServer()`, `SybaseasesqlmodelPackage.getSybaseASEDatabase()`

### getSybaseASEDatabase_TempDBName

    public org.eclipse.emf.ecore.EAttribute getSybaseASEDatabase_TempDBName()

  Specified by:
    `getSybaseASEDatabase_TempDBName` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Temp DB Name'.
  See Also:
    `SybaseASEDatabase.getTempDBName()`, `SybaseasesqlmodelPackage.getSybaseASEDatabase()`

### getSybaseASEWebService

    public org.eclipse.emf.ecore.EClass getSybaseASEWebService()

  Specified by:
    `getSybaseASEWebService` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASE Web Service'.
  See Also:
    `SybaseASEWebService`

### getSybaseASEWebService_Service_id

    public org.eclipse.emf.ecore.EAttribute getSybaseASEWebService_Service_id()

  Specified by:
    `getSybaseASEWebService_Service_id` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Service id'.
  See Also:
    `SybaseASEWebService.getService_id()`, `SybaseasesqlmodelPackage.getSybaseASEWebService()`

### getSybaseASEWebService_Service_type

    public org.eclipse.emf.ecore.EAttribute getSybaseASEWebService_Service_type()

  Specified by:
    `getSybaseASEWebService_Service_type` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Service type'.
  See Also:
    `SybaseASEWebService.getService_type()`, `SybaseasesqlmodelPackage.getSybaseASEWebService()`

### getSybaseASEWebService_Auth_required

    public org.eclipse.emf.ecore.EAttribute getSybaseASEWebService_Auth_required()

  Specified by:
    `getSybaseASEWebService_Auth_required` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Auth required'.
  See Also:
    `SybaseASEWebService.getAuth_required()`, `SybaseasesqlmodelPackage.getSybaseASEWebService()`

### getSybaseASEWebService_Secure_required

    public org.eclipse.emf.ecore.EAttribute getSybaseASEWebService_Secure_required()

  Specified by:
    `getSybaseASEWebService_Secure_required` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Secure required'.
  See Also:
    `SybaseASEWebService.getSecure_required()`, `SybaseasesqlmodelPackage.getSybaseASEWebService()`

### getSybaseASEWebService_Url_path

    public org.eclipse.emf.ecore.EAttribute getSybaseASEWebService_Url_path()

  Specified by:
    `getSybaseASEWebService_Url_path` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Url path'.
  See Also:
    `SybaseASEWebService.getUrl_path()`, `SybaseasesqlmodelPackage.getSybaseASEWebService()`

### getSybaseASEWebService_User_name

    public org.eclipse.emf.ecore.EAttribute getSybaseASEWebService_User_name()

  Specified by:
    `getSybaseASEWebService_User_name` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'User name'.
  See Also:
    `SybaseASEWebService.getUser_name()`, `SybaseasesqlmodelPackage.getSybaseASEWebService()`

### getSybaseASEWebService_Parameter

    public org.eclipse.emf.ecore.EAttribute getSybaseASEWebService_Parameter()

  Specified by:
    `getSybaseASEWebService_Parameter` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Parameter'.
  See Also:
    `SybaseASEWebService.getParameter()`, `SybaseasesqlmodelPackage.getSybaseASEWebService()`

### getSybaseASEWebService_Statement

    public org.eclipse.emf.ecore.EAttribute getSybaseASEWebService_Statement()

  Specified by:
    `getSybaseASEWebService_Statement` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Statement'.
  See Also:
    `SybaseASEWebService.getStatement()`, `SybaseasesqlmodelPackage.getSybaseASEWebService()`

### getSybaseASEWebService_Remarks

    public org.eclipse.emf.ecore.EAttribute getSybaseASEWebService_Remarks()

  Specified by:
    `getSybaseASEWebService_Remarks` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Remarks'.
  See Also:
    `SybaseASEWebService.getRemarks()`, `SybaseasesqlmodelPackage.getSybaseASEWebService()`

### getSybaseASEWebService_Database

    public org.eclipse.emf.ecore.EReference getSybaseASEWebService_Database()

  Specified by:
    `getSybaseASEWebService_Database` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the container reference 'Database'.
  See Also:
    `SybaseASEWebService.getDatabase()`, `SybaseasesqlmodelPackage.getSybaseASEWebService()`

### getSybaseASEPredefinedDataType

    public org.eclipse.emf.ecore.EClass getSybaseASEPredefinedDataType()

  Specified by:
    `getSybaseASEPredefinedDataType` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASE Predefined Data Type'.
  See Also:
    `SybaseASEPredefinedDataType`

### getSybaseASEPredefinedDataType_Database

    public org.eclipse.emf.ecore.EReference getSybaseASEPredefinedDataType_Database()

  Specified by:
    `getSybaseASEPredefinedDataType_Database` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the reference 'Database'.
  See Also:
    `SybaseASEPredefinedDataType.getDatabase()`, `SybaseasesqlmodelPackage.getSybaseASEPredefinedDataType()`

### getSybaseASECatalog

    public org.eclipse.emf.ecore.EClass getSybaseASECatalog()

  Specified by:
    `getSybaseASECatalog` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASE Catalog'.
  See Also:
    `SybaseASECatalog`

### getSybaseASECatalog_Segments

    public org.eclipse.emf.ecore.EReference getSybaseASECatalog_Segments()

  Specified by:
    `getSybaseASECatalog_Segments` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the containment reference list 'Segments'.
  See Also:
    `SybaseASECatalog.getSegments()`, `SybaseasesqlmodelPackage.getSybaseASECatalog()`

### getSybaseASECatalog_DataDevices

    public org.eclipse.emf.ecore.EReference getSybaseASECatalog_DataDevices()

  Specified by:
    `getSybaseASECatalog_DataDevices` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the reference list 'Data Devices'.
  See Also:
    `SybaseASECatalog.getDataDevices()`, `SybaseasesqlmodelPackage.getSybaseASECatalog()`

### getSybaseASECatalog_LogDevices

    public org.eclipse.emf.ecore.EReference getSybaseASECatalog_LogDevices()

  Specified by:
    `getSybaseASECatalog_LogDevices` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the reference list 'Log Devices'.
  See Also:
    `SybaseASECatalog.getLogDevices()`, `SybaseasesqlmodelPackage.getSybaseASECatalog()`

### getSybaseASECatalog_Override

    public org.eclipse.emf.ecore.EAttribute getSybaseASECatalog_Override()

  Specified by:
    `getSybaseASECatalog_Override` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Override'.
  See Also:
    `SybaseASECatalog.isOverride()`, `SybaseasesqlmodelPackage.getSybaseASECatalog()`

### getSybaseASECatalog_DefaultLocation

    public org.eclipse.emf.ecore.EAttribute getSybaseASECatalog_DefaultLocation()

  Specified by:
    `getSybaseASECatalog_DefaultLocation` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Default Location'.
  See Also:
    `SybaseASECatalog.getDefaultLocation()`, `SybaseasesqlmodelPackage.getSybaseASECatalog()`

### getSybaseASECatalog_ForLoad

    public org.eclipse.emf.ecore.EAttribute getSybaseASECatalog_ForLoad()

  Specified by:
    `getSybaseASECatalog_ForLoad` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'For Load'.
  See Also:
    `SybaseASECatalog.isForLoad()`, `SybaseasesqlmodelPackage.getSybaseASECatalog()`

### getSybaseASECatalog_ForProxyUpdate

    public org.eclipse.emf.ecore.EAttribute getSybaseASECatalog_ForProxyUpdate()

  Specified by:
    `getSybaseASECatalog_ForProxyUpdate` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'For Proxy Update'.
  See Also:
    `SybaseASECatalog.isForProxyUpdate()`, `SybaseasesqlmodelPackage.getSybaseASECatalog()`

### getSybaseASECatalog_LogIOSize

    public org.eclipse.emf.ecore.EAttribute getSybaseASECatalog_LogIOSize()

  Specified by:
    `getSybaseASECatalog_LogIOSize` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Log IO Size'.
  See Also:
    `SybaseASECatalog.getLogIOSize()`, `SybaseasesqlmodelPackage.getSybaseASECatalog()`

### getSybaseASECatalog_RecoveryOrder

    public org.eclipse.emf.ecore.EAttribute getSybaseASECatalog_RecoveryOrder()

  Specified by:
    `getSybaseASECatalog_RecoveryOrder` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Recovery Order'.
  See Also:
    `SybaseASECatalog.getRecoveryOrder()`, `SybaseasesqlmodelPackage.getSybaseASECatalog()`

### getSybaseASECatalog_AuthorizationIds

    public org.eclipse.emf.ecore.EReference getSybaseASECatalog_AuthorizationIds()

  Specified by:
    `getSybaseASECatalog_AuthorizationIds` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the reference list 'Authorization Ids'.
  See Also:
    `SybaseASECatalog.getAuthorizationIds()`, `SybaseasesqlmodelPackage.getSybaseASECatalog()`

### getSybaseASECatalog_Cache

    public org.eclipse.emf.ecore.EReference getSybaseASECatalog_Cache()

  Specified by:
    `getSybaseASECatalog_Cache` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the reference 'Cache'.
  See Also:
    `SybaseASECatalog.getCache()`, `SybaseasesqlmodelPackage.getSybaseASECatalog()`

### getSybaseASECatalog_CatalogType

    public org.eclipse.emf.ecore.EAttribute getSybaseASECatalog_CatalogType()

  Specified by:
    `getSybaseASECatalog_CatalogType` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Catalog Type'.
  See Also:
    `SybaseASECatalog.getCatalogType()`, `SybaseasesqlmodelPackage.getSybaseASECatalog()`

### getSybaseASEProcedure

    public org.eclipse.emf.ecore.EClass getSybaseASEProcedure()

  Specified by:
    `getSybaseASEProcedure` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASE Procedure'.
  See Also:
    `SybaseASEProcedure`

### getSybaseASEProcedure_GroupNumber

    public org.eclipse.emf.ecore.EAttribute getSybaseASEProcedure_GroupNumber()

  Specified by:
    `getSybaseASEProcedure_GroupNumber` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Group Number'.
  See Also:
    `SybaseASEProcedure.getGroupNumber()`, `SybaseasesqlmodelPackage.getSybaseASEProcedure()`

### getSybaseASEProcedure_TransactionMode

    public org.eclipse.emf.ecore.EAttribute getSybaseASEProcedure_TransactionMode()

  Specified by:
    `getSybaseASEProcedure_TransactionMode` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Transaction Mode'.
  See Also:
    `SybaseASEProcedure.getTransactionMode()`, `SybaseasesqlmodelPackage.getSybaseASEProcedure()`

### getSybaseASEProcedure_SystemProcedure

    public org.eclipse.emf.ecore.EAttribute getSybaseASEProcedure_SystemProcedure()

  Specified by:
    `getSybaseASEProcedure_SystemProcedure` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'System Procedure'.
  See Also:
    `SybaseASEProcedure.isSystemProcedure()`, `SybaseasesqlmodelPackage.getSybaseASEProcedure()`

### getSybaseASEProcedure_WithRecompile

    public org.eclipse.emf.ecore.EAttribute getSybaseASEProcedure_WithRecompile()

  Specified by:
    `getSybaseASEProcedure_WithRecompile` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'With Recompile'.
  See Also:
    `SybaseASEProcedure.isWithRecompile()`, `SybaseasesqlmodelPackage.getSybaseASEProcedure()`

### getSybaseASEDefault

    public org.eclipse.emf.ecore.EClass getSybaseASEDefault()

  Specified by:
    `getSybaseASEDefault` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASE Default'.
  See Also:
    `SybaseASEDefault`

### getSybaseASEDefault_Schema

    public org.eclipse.emf.ecore.EReference getSybaseASEDefault_Schema()

  Specified by:
    `getSybaseASEDefault_Schema` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the reference 'Schema'.
  See Also:
    `SybaseASEDefault.getSchema()`, `SybaseasesqlmodelPackage.getSybaseASEDefault()`

### getSybaseASEDefault_Statement

    public org.eclipse.emf.ecore.EAttribute getSybaseASEDefault_Statement()

  Specified by:
    `getSybaseASEDefault_Statement` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Statement'.
  See Also:
    `SybaseASEDefault.getStatement()`, `SybaseasesqlmodelPackage.getSybaseASEDefault()`

### getSybaseASERule

    public org.eclipse.emf.ecore.EClass getSybaseASERule()

  Specified by:
    `getSybaseASERule` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASE Rule'.
  See Also:
    `SybaseASERule`

### getSybaseASERule_Schema

    public org.eclipse.emf.ecore.EReference getSybaseASERule_Schema()

  Specified by:
    `getSybaseASERule_Schema` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the reference 'Schema'.
  See Also:
    `SybaseASERule.getSchema()`, `SybaseasesqlmodelPackage.getSybaseASERule()`

### getSybaseASERule_Statement

    public org.eclipse.emf.ecore.EAttribute getSybaseASERule_Statement()

  Specified by:
    `getSybaseASERule_Statement` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Statement'.
  See Also:
    `SybaseASERule.getStatement()`, `SybaseasesqlmodelPackage.getSybaseASERule()`

### getSybaseASERule_AccessRule

    public org.eclipse.emf.ecore.EAttribute getSybaseASERule_AccessRule()

  Specified by:
    `getSybaseASERule_AccessRule` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Access Rule'.
  See Also:
    `SybaseASERule.isAccessRule()`, `SybaseasesqlmodelPackage.getSybaseASERule()`

### getSybaseASERule_AccessType

    public org.eclipse.emf.ecore.EAttribute getSybaseASERule_AccessType()

  Specified by:
    `getSybaseASERule_AccessType` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Access Type'.
  See Also:
    `SybaseASERule.getAccessType()`, `SybaseasesqlmodelPackage.getSybaseASERule()`

### getSybaseASEIndex

    public org.eclipse.emf.ecore.EClass getSybaseASEIndex()

  Specified by:
    `getSybaseASEIndex` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASE Index'.
  See Also:
    `SybaseASEIndex`

### getSybaseASEIndex_MaxRowPerPage

    public org.eclipse.emf.ecore.EAttribute getSybaseASEIndex_MaxRowPerPage()

  Specified by:
    `getSybaseASEIndex_MaxRowPerPage` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Max Row Per Page'.
  See Also:
    `SybaseASEIndex.getMaxRowPerPage()`, `SybaseasesqlmodelPackage.getSybaseASEIndex()`

### getSybaseASEIndex_ReversePageGap

    public org.eclipse.emf.ecore.EAttribute getSybaseASEIndex_ReversePageGap()

  Specified by:
    `getSybaseASEIndex_ReversePageGap` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Reverse Page Gap'.
  See Also:
    `SybaseASEIndex.getReversePageGap()`, `SybaseasesqlmodelPackage.getSybaseASEIndex()`

### getSybaseASEIndex_IgnoreDuplicateKey

    public org.eclipse.emf.ecore.EAttribute getSybaseASEIndex_IgnoreDuplicateKey()

  Specified by:
    `getSybaseASEIndex_IgnoreDuplicateKey` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Ignore Duplicate Key'.
  See Also:
    `SybaseASEIndex.isIgnoreDuplicateKey()`, `SybaseasesqlmodelPackage.getSybaseASEIndex()`

### getSybaseASEIndex_SortedData

    public org.eclipse.emf.ecore.EAttribute getSybaseASEIndex_SortedData()

  Specified by:
    `getSybaseASEIndex_SortedData` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Sorted Data'.
  See Also:
    `SybaseASEIndex.isSortedData()`, `SybaseasesqlmodelPackage.getSybaseASEIndex()`

### getSybaseASEIndex_IgnoreDuplicateRow

    public org.eclipse.emf.ecore.EAttribute getSybaseASEIndex_IgnoreDuplicateRow()

  Specified by:
    `getSybaseASEIndex_IgnoreDuplicateRow` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Ignore Duplicate Row'.
  See Also:
    `SybaseASEIndex.isIgnoreDuplicateRow()`, `SybaseasesqlmodelPackage.getSybaseASEIndex()`

### getSybaseASEIndex_Segment

    public org.eclipse.emf.ecore.EReference getSybaseASEIndex_Segment()

  Specified by:
    `getSybaseASEIndex_Segment` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the reference 'Segment'.
  See Also:
    `SybaseASEIndex.getSegment()`, `SybaseasesqlmodelPackage.getSybaseASEIndex()`

### getSybaseASEIndex_LocalIndex

    public org.eclipse.emf.ecore.EAttribute getSybaseASEIndex_LocalIndex()

  Specified by:
    `getSybaseASEIndex_LocalIndex` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Local Index'.
  See Also:
    `SybaseASEIndex.isLocalIndex()`, `SybaseasesqlmodelPackage.getSybaseASEIndex()`

### getSybaseASEIndex_Partitions

    public org.eclipse.emf.ecore.EReference getSybaseASEIndex_Partitions()

  Specified by:
    `getSybaseASEIndex_Partitions` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the containment reference list 'Partitions'.
  See Also:
    `SybaseASEIndex.getPartitions()`, `SybaseasesqlmodelPackage.getSybaseASEIndex()`

### getSybaseASEIndex_ConsumerNum

    public org.eclipse.emf.ecore.EAttribute getSybaseASEIndex_ConsumerNum()

  Specified by:
    `getSybaseASEIndex_ConsumerNum` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Consumer Num'.
  See Also:
    `SybaseASEIndex.getConsumerNum()`, `SybaseasesqlmodelPackage.getSybaseASEIndex()`

### getSybaseASEIndex_StatisticsStep

    public org.eclipse.emf.ecore.EAttribute getSybaseASEIndex_StatisticsStep()

  Specified by:
    `getSybaseASEIndex_StatisticsStep` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Statistics Step'.
  See Also:
    `SybaseASEIndex.getStatisticsStep()`, `SybaseasesqlmodelPackage.getSybaseASEIndex()`

### getSybaseASEIndex_AllowDuplicateRow

    public org.eclipse.emf.ecore.EAttribute getSybaseASEIndex_AllowDuplicateRow()

  Specified by:
    `getSybaseASEIndex_AllowDuplicateRow` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Allow Duplicate Row'.
  See Also:
    `SybaseASEIndex.isAllowDuplicateRow()`, `SybaseasesqlmodelPackage.getSybaseASEIndex()`

### getSybaseASEIndex_Suspect

    public org.eclipse.emf.ecore.EAttribute getSybaseASEIndex_Suspect()

  Specified by:
    `getSybaseASEIndex_Suspect` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Suspect'.
  See Also:
    `SybaseASEIndex.isSuspect()`, `SybaseasesqlmodelPackage.getSybaseASEIndex()`

### getSybaseASEIndex_CacheInfo

    public org.eclipse.emf.ecore.EReference getSybaseASEIndex_CacheInfo()

  Specified by:
    `getSybaseASEIndex_CacheInfo` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the containment reference 'Cache Info'.
  See Also:
    `SybaseASEIndex.getCacheInfo()`, `SybaseasesqlmodelPackage.getSybaseASEIndex()`

### getSybaseASESegment

    public org.eclipse.emf.ecore.EClass getSybaseASESegment()

  Specified by:
    `getSybaseASESegment` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASE Segment'.
  See Also:
    `SybaseASESegment`

### getSybaseASESegment_Catalog

    public org.eclipse.emf.ecore.EReference getSybaseASESegment_Catalog()

  Specified by:
    `getSybaseASESegment_Catalog` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the container reference 'Catalog'.
  See Also:
    `SybaseASESegment.getCatalog()`, `SybaseasesqlmodelPackage.getSybaseASESegment()`

### getSybaseASESegment_DeviceNames

    public org.eclipse.emf.ecore.EAttribute getSybaseASESegment_DeviceNames()

  Specified by:
    `getSybaseASESegment_DeviceNames` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute list 'Device Names'.
  See Also:
    `SybaseASESegment.getDeviceNames()`, `SybaseasesqlmodelPackage.getSybaseASESegment()`

### getSybaseASESegment_Thresholds

    public org.eclipse.emf.ecore.EReference getSybaseASESegment_Thresholds()

  Specified by:
    `getSybaseASESegment_Thresholds` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the reference list 'Thresholds'.
  See Also:
    `SybaseASESegment.getThresholds()`, `SybaseasesqlmodelPackage.getSybaseASESegment()`

### getSybaseASEFuncBasedIndexMember

    public org.eclipse.emf.ecore.EClass getSybaseASEFuncBasedIndexMember()

  Specified by:
    `getSybaseASEFuncBasedIndexMember` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASE Func Based Index Member'.
  See Also:
    `SybaseASEFuncBasedIndexMember`

### getSybaseASETable

    public org.eclipse.emf.ecore.EClass getSybaseASETable()

  Specified by:
    `getSybaseASETable` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASE Table'.
  See Also:
    `SybaseASETable`

### getSybaseASEColumnCheckConstraint

    public org.eclipse.emf.ecore.EClass getSybaseASEColumnCheckConstraint()

  Specified by:
    `getSybaseASEColumnCheckConstraint` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASE Column Check Constraint'.
  See Also:
    `SybaseASEColumnCheckConstraint`

### getSybaseASEColumnCheckConstraint_Column

    public org.eclipse.emf.ecore.EReference getSybaseASEColumnCheckConstraint_Column()

  Specified by:
    `getSybaseASEColumnCheckConstraint_Column` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the reference 'Column'.
  See Also:
    `SybaseASEColumnCheckConstraint.getColumn()`, `SybaseasesqlmodelPackage.getSybaseASEColumnCheckConstraint()`

### getSybaseASEColumn

    public org.eclipse.emf.ecore.EClass getSybaseASEColumn()

  Specified by:
    `getSybaseASEColumn` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASE Column'.
  See Also:
    `SybaseASEColumn`

### getSybaseASEColumn_ColumnCheck

    public org.eclipse.emf.ecore.EReference getSybaseASEColumn_ColumnCheck()

  Specified by:
    `getSybaseASEColumn_ColumnCheck` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the reference 'Column Check'.
  See Also:
    `SybaseASEColumn.getColumnCheck()`, `SybaseasesqlmodelPackage.getSybaseASEColumn()`

### getSybaseASEColumn_BoundDefault

    public org.eclipse.emf.ecore.EReference getSybaseASEColumn_BoundDefault()

  Specified by:
    `getSybaseASEColumn_BoundDefault` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the reference 'Bound Default'.
  See Also:
    `SybaseASEColumn.getBoundDefault()`, `SybaseasesqlmodelPackage.getSybaseASEColumn()`

### getSybaseASEColumn_BoundRule

    public org.eclipse.emf.ecore.EReference getSybaseASEColumn_BoundRule()

  Specified by:
    `getSybaseASEColumn_BoundRule` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the reference 'Bound Rule'.
  See Also:
    `SybaseASEColumn.getBoundRule()`, `SybaseasesqlmodelPackage.getSybaseASEColumn()`

### getSybaseASEColumn_Materialized

    public org.eclipse.emf.ecore.EAttribute getSybaseASEColumn_Materialized()

  Specified by:
    `getSybaseASEColumn_Materialized` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Materialized'.
  See Also:
    `SybaseASEColumn.isMaterialized()`, `SybaseasesqlmodelPackage.getSybaseASEColumn()`

### getSybaseASEColumn_EncryptionKey

    public org.eclipse.emf.ecore.EReference getSybaseASEColumn_EncryptionKey()

  Specified by:
    `getSybaseASEColumn_EncryptionKey` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the reference 'Encryption Key'.
  See Also:
    `SybaseASEColumn.getEncryptionKey()`, `SybaseasesqlmodelPackage.getSybaseASEColumn()`

### getSybaseASEColumn_BindDefaultInFutureOnly

    public org.eclipse.emf.ecore.EAttribute getSybaseASEColumn_BindDefaultInFutureOnly()

  Specified by:
    `getSybaseASEColumn_BindDefaultInFutureOnly` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Bind Default In Future Only'.
  See Also:
    `SybaseASEColumn.isBindDefaultInFutureOnly()`, `SybaseasesqlmodelPackage.getSybaseASEColumn()`

### getSybaseASEColumn_BindRuleInFutureOnly

    public org.eclipse.emf.ecore.EAttribute getSybaseASEColumn_BindRuleInFutureOnly()

  Specified by:
    `getSybaseASEColumn_BindRuleInFutureOnly` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Bind Rule In Future Only'.
  See Also:
    `SybaseASEColumn.isBindRuleInFutureOnly()`, `SybaseasesqlmodelPackage.getSybaseASEColumn()`

### getSybaseASEColumn_Hidden

    public org.eclipse.emf.ecore.EAttribute getSybaseASEColumn_Hidden()

  Specified by:
    `getSybaseASEColumn_Hidden` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Hidden'.
  See Also:
    `SybaseASEColumn.isHidden()`, `SybaseasesqlmodelPackage.getSybaseASEColumn()`

### getSybaseASEUniqueConstraint

    public org.eclipse.emf.ecore.EClass getSybaseASEUniqueConstraint()

  Specified by:
    `getSybaseASEUniqueConstraint` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASE Unique Constraint'.
  See Also:
    `SybaseASEUniqueConstraint`

### getSybaseASEUniqueConstraint_SystemGenedIndex

    public org.eclipse.emf.ecore.EReference getSybaseASEUniqueConstraint_SystemGenedIndex()

  Specified by:
    `getSybaseASEUniqueConstraint_SystemGenedIndex` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the containment reference 'System Gened Index'.
  See Also:
    `SybaseASEUniqueConstraint.getSystemGenedIndex()`, `SybaseasesqlmodelPackage.getSybaseASEUniqueConstraint()`

### getSybaseASEUniqueConstraint_SystemGenedName

    public org.eclipse.emf.ecore.EAttribute getSybaseASEUniqueConstraint_SystemGenedName()

  Specified by:
    `getSybaseASEUniqueConstraint_SystemGenedName` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'System Gened Name'.
  See Also:
    `SybaseASEUniqueConstraint.isSystemGenedName()`, `SybaseasesqlmodelPackage.getSybaseASEUniqueConstraint()`

### getSybaseASEPrimaryKey

    public org.eclipse.emf.ecore.EClass getSybaseASEPrimaryKey()

  Specified by:
    `getSybaseASEPrimaryKey` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASE Primary Key'.
  See Also:
    `SybaseASEPrimaryKey`

### getSybaseASEPrimaryKey_AseUniqueConstraint

    public org.eclipse.emf.ecore.EReference getSybaseASEPrimaryKey_AseUniqueConstraint()

  Specified by:
    `getSybaseASEPrimaryKey_AseUniqueConstraint` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the containment reference 'Ase Unique Constraint'.
  See Also:
    `SybaseASEPrimaryKey.getAseUniqueConstraint()`, `SybaseasesqlmodelPackage.getSybaseASEPrimaryKey()`

### getDeviceItem

    public org.eclipse.emf.ecore.EClass getDeviceItem()

  Specified by:
    `getDeviceItem` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for class 'Device Item'.
  See Also:
    `DeviceItem`

### getDeviceItem_DeviceName

    public org.eclipse.emf.ecore.EAttribute getDeviceItem_DeviceName()

  Specified by:
    `getDeviceItem_DeviceName` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Device Name'.
  See Also:
    `DeviceItem.getDeviceName()`, `SybaseasesqlmodelPackage.getDeviceItem()`

### getDeviceItem_Size

    public org.eclipse.emf.ecore.EAttribute getDeviceItem_Size()

  Specified by:
    `getDeviceItem_Size` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Size'.
  See Also:
    `DeviceItem.getSize()`, `SybaseasesqlmodelPackage.getDeviceItem()`

### getSegmentThreshold

    public org.eclipse.emf.ecore.EClass getSegmentThreshold()

  Specified by:
    `getSegmentThreshold` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for class 'Segment Threshold'.
  See Also:
    `SegmentThreshold`

### getSegmentThreshold_ProcedureName

    public org.eclipse.emf.ecore.EAttribute getSegmentThreshold_ProcedureName()

  Specified by:
    `getSegmentThreshold_ProcedureName` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Procedure Name'.
  See Also:
    `SegmentThreshold.getProcedureName()`, `SybaseasesqlmodelPackage.getSegmentThreshold()`

### getSegmentThreshold_FreeSpace

    public org.eclipse.emf.ecore.EAttribute getSegmentThreshold_FreeSpace()

  Specified by:
    `getSegmentThreshold_FreeSpace` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Free Space'.
  See Also:
    `SegmentThreshold.getFreeSpace()`, `SybaseasesqlmodelPackage.getSegmentThreshold()`

### getCacheInfo

    public org.eclipse.emf.ecore.EClass getCacheInfo()

  Specified by:
    `getCacheInfo` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for class 'Cache Info'.
  See Also:
    `CacheInfo`

### getCacheInfo_CacheStrategy

    public org.eclipse.emf.ecore.EAttribute getCacheInfo_CacheStrategy()

  Specified by:
    `getCacheInfo_CacheStrategy` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Cache Strategy'.
  See Also:
    `CacheInfo.getCacheStrategy()`, `SybaseasesqlmodelPackage.getCacheInfo()`

### getCacheInfo_Cache

    public org.eclipse.emf.ecore.EReference getCacheInfo_Cache()

  Specified by:
    `getCacheInfo_Cache` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the reference 'Cache'.
  See Also:
    `CacheInfo.getCache()`, `SybaseasesqlmodelPackage.getCacheInfo()`

### getSybaseASEUserDefinedType

    public org.eclipse.emf.ecore.EClass getSybaseASEUserDefinedType()

  Specified by:
    `getSybaseASEUserDefinedType` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASE User Defined Type'.
  See Also:
    `SybaseASEUserDefinedType`

### getSybaseASEUserDefinedType_BoundDefault

    public org.eclipse.emf.ecore.EReference getSybaseASEUserDefinedType_BoundDefault()

  Specified by:
    `getSybaseASEUserDefinedType_BoundDefault` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the reference 'Bound Default'.
  See Also:
    `SybaseASEUserDefinedType.getBoundDefault()`, `SybaseasesqlmodelPackage.getSybaseASEUserDefinedType()`

### getSybaseASEUserDefinedType_BoundRule

    public org.eclipse.emf.ecore.EReference getSybaseASEUserDefinedType_BoundRule()

  Specified by:
    `getSybaseASEUserDefinedType_BoundRule` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the reference 'Bound Rule'.
  See Also:
    `SybaseASEUserDefinedType.getBoundRule()`, `SybaseasesqlmodelPackage.getSybaseASEUserDefinedType()`

### getSybaseASEUserDefinedType_BindDefaultInFutureOnly

    public org.eclipse.emf.ecore.EAttribute getSybaseASEUserDefinedType_BindDefaultInFutureOnly()

  Specified by:
    `getSybaseASEUserDefinedType_BindDefaultInFutureOnly` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Bind Default In Future Only'.
  See Also:
    `SybaseASEUserDefinedType.isBindDefaultInFutureOnly()`, `SybaseasesqlmodelPackage.getSybaseASEUserDefinedType()`

### getSybaseASEUserDefinedType_BindRuleInFutureOnly

    public org.eclipse.emf.ecore.EAttribute getSybaseASEUserDefinedType_BindRuleInFutureOnly()

  Specified by:
    `getSybaseASEUserDefinedType_BindRuleInFutureOnly` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Bind Rule In Future Only'.
  See Also:
    `SybaseASEUserDefinedType.isBindRuleInFutureOnly()`, `SybaseasesqlmodelPackage.getSybaseASEUserDefinedType()`

### getSybaseASEUserDefinedType_AllowNulls

    public org.eclipse.emf.ecore.EAttribute getSybaseASEUserDefinedType_AllowNulls()

  Specified by:
    `getSybaseASEUserDefinedType_AllowNulls` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Allow Nulls'.
  See Also:
    `SybaseASEUserDefinedType.isAllowNulls()`, `SybaseasesqlmodelPackage.getSybaseASEUserDefinedType()`

### getSybaseASEUserDefinedType_Identity

    public org.eclipse.emf.ecore.EAttribute getSybaseASEUserDefinedType_Identity()

  Specified by:
    `getSybaseASEUserDefinedType_Identity` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Identity'.
  See Also:
    `SybaseASEUserDefinedType.isIdentity()`, `SybaseasesqlmodelPackage.getSybaseASEUserDefinedType()`

### getSybaseASEEncryptionKey

    public org.eclipse.emf.ecore.EClass getSybaseASEEncryptionKey()

  Specified by:
    `getSybaseASEEncryptionKey` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASE Encryption Key'.
  See Also:
    `SybaseASEEncryptionKey`

### getSybaseASEEncryptionKey_Schema

    public org.eclipse.emf.ecore.EReference getSybaseASEEncryptionKey_Schema()

  Specified by:
    `getSybaseASEEncryptionKey_Schema` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the reference 'Schema'.
  See Also:
    `SybaseASEEncryptionKey.getSchema()`, `SybaseasesqlmodelPackage.getSybaseASEEncryptionKey()`

### getLockPromotionInfo

    public org.eclipse.emf.ecore.EClass getLockPromotionInfo()

  Specified by:
    `getLockPromotionInfo` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for class 'Lock Promotion Info'.
  See Also:
    `LockPromotionInfo`

### getLockPromotionInfo_RowLockPromotion

    public org.eclipse.emf.ecore.EAttribute getLockPromotionInfo_RowLockPromotion()

  Specified by:
    `getLockPromotionInfo_RowLockPromotion` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Row Lock Promotion'.
  See Also:
    `LockPromotionInfo.isRowLockPromotion()`, `SybaseasesqlmodelPackage.getLockPromotionInfo()`

### getLockPromotionInfo_LWM

    public org.eclipse.emf.ecore.EAttribute getLockPromotionInfo_LWM()

  Specified by:
    `getLockPromotionInfo_LWM` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'LWM'.
  See Also:
    `LockPromotionInfo.getLWM()`, `SybaseasesqlmodelPackage.getLockPromotionInfo()`

### getLockPromotionInfo_HWM

    public org.eclipse.emf.ecore.EAttribute getLockPromotionInfo_HWM()

  Specified by:
    `getLockPromotionInfo_HWM` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'HWM'.
  See Also:
    `LockPromotionInfo.getHWM()`, `SybaseasesqlmodelPackage.getLockPromotionInfo()`

### getLockPromotionInfo_PCT

    public org.eclipse.emf.ecore.EAttribute getLockPromotionInfo_PCT()

  Specified by:
    `getLockPromotionInfo_PCT` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'PCT'.
  See Also:
    `LockPromotionInfo.getPCT()`, `SybaseasesqlmodelPackage.getLockPromotionInfo()`

### getSybaseASERole

    public org.eclipse.emf.ecore.EClass getSybaseASERole()

  Specified by:
    `getSybaseASERole` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASE Role'.
  See Also:
    `SybaseASERole`

### getSybaseASECache

    public org.eclipse.emf.ecore.EClass getSybaseASECache()

  Specified by:
    `getSybaseASECache` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASE Cache'.
  See Also:
    `SybaseASECache`

### getSybaseASECache_Database

    public org.eclipse.emf.ecore.EReference getSybaseASECache_Database()

  Specified by:
    `getSybaseASECache_Database` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the container reference 'Database'.
  See Also:
    `SybaseASECache.getDatabase()`, `SybaseasesqlmodelPackage.getSybaseASECache()`

### getSybaseASEViewTable

    public org.eclipse.emf.ecore.EClass getSybaseASEViewTable()

  Specified by:
    `getSybaseASEViewTable` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASE View Table'.
  See Also:
    `SybaseASEViewTable`

### getSybaseASEViewTable_WithCheckOption

    public org.eclipse.emf.ecore.EAttribute getSybaseASEViewTable_WithCheckOption()

  Specified by:
    `getSybaseASEViewTable_WithCheckOption` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'With Check Option'.
  See Also:
    `SybaseASEViewTable.isWithCheckOption()`, `SybaseasesqlmodelPackage.getSybaseASEViewTable()`

### getSybaseASETempTable

    public org.eclipse.emf.ecore.EClass getSybaseASETempTable()

  Specified by:
    `getSybaseASETempTable` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASE Temp Table'.
  See Also:
    `SybaseASETempTable`

### getSybaseASEProxyTable

    public org.eclipse.emf.ecore.EClass getSybaseASEProxyTable()

  Specified by:
    `getSybaseASEProxyTable` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASE Proxy Table'.
  See Also:
    `SybaseASEProxyTable`

### getSybaseASEProxyTable_ExternalType

    public org.eclipse.emf.ecore.EAttribute getSybaseASEProxyTable_ExternalType()

  Specified by:
    `getSybaseASEProxyTable_ExternalType` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'External Type'.
  See Also:
    `SybaseASEProxyTable.getExternalType()`, `SybaseasesqlmodelPackage.getSybaseASEProxyTable()`

### getSybaseASEProxyTable_Existing

    public org.eclipse.emf.ecore.EAttribute getSybaseASEProxyTable_Existing()

  Specified by:
    `getSybaseASEProxyTable_Existing` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Existing'.
  See Also:
    `SybaseASEProxyTable.isExisting()`, `SybaseasesqlmodelPackage.getSybaseASEProxyTable()`

### getSybaseASEProxyTable_ColumnDelimiter

    public org.eclipse.emf.ecore.EAttribute getSybaseASEProxyTable_ColumnDelimiter()

  Specified by:
    `getSybaseASEProxyTable_ColumnDelimiter` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Column Delimiter'.
  See Also:
    `SybaseASEProxyTable.getColumnDelimiter()`, `SybaseasesqlmodelPackage.getSybaseASEProxyTable()`

### getSybaseASEProxyTable_ExternalPath

    public org.eclipse.emf.ecore.EAttribute getSybaseASEProxyTable_ExternalPath()

  Specified by:
    `getSybaseASEProxyTable_ExternalPath` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'External Path'.
  See Also:
    `SybaseASEProxyTable.getExternalPath()`, `SybaseasesqlmodelPackage.getSybaseASEProxyTable()`

### getSybaseASEWebServiceTable

    public org.eclipse.emf.ecore.EClass getSybaseASEWebServiceTable()

  Specified by:
    `getSybaseASEWebServiceTable` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASE Web Service Table'.
  See Also:
    `SybaseASEWebServiceTable`

### getSybaseASEWebServiceTable_Method

    public org.eclipse.emf.ecore.EAttribute getSybaseASEWebServiceTable_Method()

  Specified by:
    `getSybaseASEWebServiceTable_Method` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Method'.
  See Also:
    `SybaseASEWebServiceTable.getMethod()`, `SybaseasesqlmodelPackage.getSybaseASEWebServiceTable()`

### getSybaseASEWebServiceTable_WSDLURI

    public org.eclipse.emf.ecore.EAttribute getSybaseASEWebServiceTable_WSDLURI()

  Specified by:
    `getSybaseASEWebServiceTable_WSDLURI` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'WSDLURI'.
  See Also:
    `SybaseASEWebServiceTable.getWSDLURI()`, `SybaseasesqlmodelPackage.getSybaseASEWebServiceTable()`

### getSybaseASEBaseTable

    public org.eclipse.emf.ecore.EClass getSybaseASEBaseTable()

  Specified by:
    `getSybaseASEBaseTable` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASE Base Table'.
  See Also:
    `SybaseASEBaseTable`

### getSybaseASEBaseTable_LockSchema

    public org.eclipse.emf.ecore.EAttribute getSybaseASEBaseTable_LockSchema()

  Specified by:
    `getSybaseASEBaseTable_LockSchema` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Lock Schema'.
  See Also:
    `SybaseASEBaseTable.getLockSchema()`, `SybaseasesqlmodelPackage.getSybaseASEBaseTable()`

### getSybaseASEBaseTable_FillFactor

    public org.eclipse.emf.ecore.EAttribute getSybaseASEBaseTable_FillFactor()

  Specified by:
    `getSybaseASEBaseTable_FillFactor` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Fill Factor'.
  See Also:
    `SybaseASEBaseTable.getFillFactor()`, `SybaseasesqlmodelPackage.getSybaseASEBaseTable()`

### getSybaseASEBaseTable_MaxRowPerPage

    public org.eclipse.emf.ecore.EAttribute getSybaseASEBaseTable_MaxRowPerPage()

  Specified by:
    `getSybaseASEBaseTable_MaxRowPerPage` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Max Row Per Page'.
  See Also:
    `SybaseASEBaseTable.getMaxRowPerPage()`, `SybaseasesqlmodelPackage.getSybaseASEBaseTable()`

### getSybaseASEBaseTable_ExpRowSize

    public org.eclipse.emf.ecore.EAttribute getSybaseASEBaseTable_ExpRowSize()

  Specified by:
    `getSybaseASEBaseTable_ExpRowSize` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Exp Row Size'.
  See Also:
    `SybaseASEBaseTable.getExpRowSize()`, `SybaseasesqlmodelPackage.getSybaseASEBaseTable()`

### getSybaseASEBaseTable_ReservePageGap

    public org.eclipse.emf.ecore.EAttribute getSybaseASEBaseTable_ReservePageGap()

  Specified by:
    `getSybaseASEBaseTable_ReservePageGap` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Reserve Page Gap'.
  See Also:
    `SybaseASEBaseTable.getReservePageGap()`, `SybaseasesqlmodelPackage.getSybaseASEBaseTable()`

### getSybaseASEBaseTable_IdentityGap

    public org.eclipse.emf.ecore.EAttribute getSybaseASEBaseTable_IdentityGap()

  Specified by:
    `getSybaseASEBaseTable_IdentityGap` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Identity Gap'.
  See Also:
    `SybaseASEBaseTable.getIdentityGap()`, `SybaseasesqlmodelPackage.getSybaseASEBaseTable()`

### getSybaseASEBaseTable_Segment

    public org.eclipse.emf.ecore.EReference getSybaseASEBaseTable_Segment()

  Specified by:
    `getSybaseASEBaseTable_Segment` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the reference 'Segment'.
  See Also:
    `SybaseASEBaseTable.getSegment()`, `SybaseasesqlmodelPackage.getSybaseASEBaseTable()`

### getSybaseASEBaseTable_ConcurrencyOptThreshold

    public org.eclipse.emf.ecore.EAttribute getSybaseASEBaseTable_ConcurrencyOptThreshold()

  Specified by:
    `getSybaseASEBaseTable_ConcurrencyOptThreshold` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Concurrency Opt Threshold'.
  See Also:
    `SybaseASEBaseTable.getConcurrencyOptThreshold()`, `SybaseasesqlmodelPackage.getSybaseASEBaseTable()`

### getSybaseASEBaseTable_PartitionCondition

    public org.eclipse.emf.ecore.EReference getSybaseASEBaseTable_PartitionCondition()

  Specified by:
    `getSybaseASEBaseTable_PartitionCondition` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the containment reference 'Partition Condition'.
  See Also:
    `SybaseASEBaseTable.getPartitionCondition()`, `SybaseasesqlmodelPackage.getSybaseASEBaseTable()`

### getSybaseASEBaseTable_TableOnlyCacheInfo

    public org.eclipse.emf.ecore.EReference getSybaseASEBaseTable_TableOnlyCacheInfo()

  Specified by:
    `getSybaseASEBaseTable_TableOnlyCacheInfo` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the containment reference 'Table Only Cache Info'.
  See Also:
    `SybaseASEBaseTable.getTableOnlyCacheInfo()`, `SybaseasesqlmodelPackage.getSybaseASEBaseTable()`

### getSybaseASEBaseTable_TextOnlyCacheInfo

    public org.eclipse.emf.ecore.EReference getSybaseASEBaseTable_TextOnlyCacheInfo()

  Specified by:
    `getSybaseASEBaseTable_TextOnlyCacheInfo` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the containment reference 'Text Only Cache Info'.
  See Also:
    `SybaseASEBaseTable.getTextOnlyCacheInfo()`, `SybaseasesqlmodelPackage.getSybaseASEBaseTable()`

### getSybaseASEBaseTable_LockPromotion

    public org.eclipse.emf.ecore.EReference getSybaseASEBaseTable_LockPromotion()

  Specified by:
    `getSybaseASEBaseTable_LockPromotion` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the containment reference list 'Lock Promotion'.
  See Also:
    `SybaseASEBaseTable.getLockPromotion()`, `SybaseasesqlmodelPackage.getSybaseASEBaseTable()`

### getSybaseASEBaseTable_Partitions

    public org.eclipse.emf.ecore.EAttribute getSybaseASEBaseTable_Partitions()

  Specified by:
    `getSybaseASEBaseTable_Partitions` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Partitions'.
  See Also:
    `SybaseASEBaseTable.getPartitions()`, `SybaseasesqlmodelPackage.getSybaseASEBaseTable()`

### getSybaseASEBaseTable_TextImageSegment

    public org.eclipse.emf.ecore.EReference getSybaseASEBaseTable_TextImageSegment()

  Specified by:
    `getSybaseASEBaseTable_TextImageSegment` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the reference 'Text Image Segment'.
  See Also:
    `SybaseASEBaseTable.getTextImageSegment()`, `SybaseasesqlmodelPackage.getSybaseASEBaseTable()`

### getSybaseASEBaseTable_SystemTable

    public org.eclipse.emf.ecore.EAttribute getSybaseASEBaseTable_SystemTable()

  Specified by:
    `getSybaseASEBaseTable_SystemTable` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'System Table'.
  See Also:
    `SybaseASEBaseTable.isSystemTable()`, `SybaseasesqlmodelPackage.getSybaseASEBaseTable()`

### getSybaseASEUser

    public org.eclipse.emf.ecore.EClass getSybaseASEUser()

  Specified by:
    `getSybaseASEUser` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASE User'.
  See Also:
    `SybaseASEUser`

### getSybaseASEUser_LoginName

    public org.eclipse.emf.ecore.EAttribute getSybaseASEUser_LoginName()

  Specified by:
    `getSybaseASEUser_LoginName` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Login Name'.
  See Also:
    `SybaseASEUser.getLoginName()`, `SybaseasesqlmodelPackage.getSybaseASEUser()`

### getSybaseASEGroup

    public org.eclipse.emf.ecore.EClass getSybaseASEGroup()

  Specified by:
    `getSybaseASEGroup` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASE Group'.
  See Also:
    `SybaseASEGroup`

### getSybaseASEPrivilege

    public org.eclipse.emf.ecore.EClass getSybaseASEPrivilege()

  Specified by:
    `getSybaseASEPrivilege` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASE Privilege'.
  See Also:
    `SybaseASEPrivilege`

### getSybaseASETrigger

    public org.eclipse.emf.ecore.EClass getSybaseASETrigger()

  Specified by:
    `getSybaseASETrigger` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASE Trigger'.
  See Also:
    `SybaseASETrigger`

### getSybaseASETrigger_Enabled

    public org.eclipse.emf.ecore.EAttribute getSybaseASETrigger_Enabled()

  Specified by:
    `getSybaseASETrigger_Enabled` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Enabled'.
  See Also:
    `SybaseASETrigger.isEnabled()`, `SybaseasesqlmodelPackage.getSybaseASETrigger()`

### getSybaseASECheckConstraint

    public org.eclipse.emf.ecore.EClass getSybaseASECheckConstraint()

  Specified by:
    `getSybaseASECheckConstraint` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASE Check Constraint'.
  See Also:
    `SybaseASECheckConstraint`

### getSybaseASECheckConstraint_Creator

    public org.eclipse.emf.ecore.EReference getSybaseASECheckConstraint_Creator()

  Specified by:
    `getSybaseASECheckConstraint_Creator` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for the reference 'Creator'.
  See Also:
    `SybaseASECheckConstraint.getCreator()`, `SybaseasesqlmodelPackage.getSybaseASECheckConstraint()`

### getTransactionModeType

    public org.eclipse.emf.ecore.EEnum getTransactionModeType()

  Specified by:
    `getTransactionModeType` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for enum 'Transaction Mode Type'.
  See Also:
    `TransactionModeType`

### getCacheStrategyType

    public org.eclipse.emf.ecore.EEnum getCacheStrategyType()

  Specified by:
    `getCacheStrategyType` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for enum 'Cache Strategy Type'.
  See Also:
    `CacheStrategyType`

### getLockingSchemaType

    public org.eclipse.emf.ecore.EEnum getLockingSchemaType()

  Specified by:
    `getLockingSchemaType` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for enum 'Locking Schema Type'.
  See Also:
    `LockingSchemaType`

### getProxyTableExternalType

    public org.eclipse.emf.ecore.EEnum getProxyTableExternalType()

  Specified by:
    `getProxyTableExternalType` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for enum 'Proxy Table External Type'.
  See Also:
    `ProxyTableExternalType`

### getAccessRuleType

    public org.eclipse.emf.ecore.EEnum getAccessRuleType()

  Specified by:
    `getAccessRuleType` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for enum 'Access Rule Type'.
  See Also:
    `AccessRuleType`

### getSybaseASECatalogType

    public org.eclipse.emf.ecore.EEnum getSybaseASECatalogType()

  Specified by:
    `getSybaseASECatalogType` in interface `SybaseasesqlmodelPackage`
  Returns:
    the meta object for enum 'Sybase ASE Catalog Type'.
  See Also:
    `SybaseASECatalogType`

### getSybaseasesqlmodelFactory

    public SybaseasesqlmodelFactory getSybaseasesqlmodelFactory()

  Specified by:
    `getSybaseasesqlmodelFactory` in interface `SybaseasesqlmodelPackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.